<?php


/*
 **************************************
 * /administration/index.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|28|2004
 * (c) 2003, 2004 by Christoph Bachner
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/

error_reporting(E_ALL);
session_start();
ob_start();
define("IN_CHCOUNTER", TRUE);

require_once("../include/config.inc.php");
require_once("../include/mysql.class.php");
require_once("../include/functions.inc.php");


$db = new chC_mysql($GLOBALS['chC']['dbconfig']['server'], $GLOBALS['chC']['dbconfig']['user'], $GLOBALS['chC']['dbconfig']['passwort'], $GLOBALS['chC']['dbconfig']['database']);

$config = $db->query("SELECT lang, zeitzone, url_hp, cookie, script_version FROM `".$GLOBALS['chC']['dbconfig']['table_config']."`");
$config = $db->fetch_assoc($config);
$chCounter_version = $config['script_version'];
$config_zeitzone = $config['zeitzone'];
$config_url_hp = $config['url_hp'];
$config_cookie = $config['cookie'];
$config_lang = (isset($HTTP_POST_VARS['action']) && $HTTP_POST_VARS['action'] == "config") ? $HTTP_POST_VARS['lang'] : $config['lang'];



$chC_lang = array();
require("../lang/lang_admin_".$config_lang.".inc.php");
require("../lang/lang_".$config_lang.".inc.php");
setlocale(LC_ALL, $chC_lang['lang']);

if(isset($HTTP_POST_VARS['login']) && $HTTP_POST_VARS['login'] == "1")
{
	$userdata = $db->query("SELECT admin_name, admin_passwort FROM `".$GLOBALS['chC']['dbconfig']['table_config']."`");
	$userdata = $db->fetch_assoc($userdata);
	if($userdata['admin_name'] == $HTTP_POST_VARS['name'] AND $userdata['admin_passwort'] == md5($HTTP_POST_VARS['passwort']))
	{
		$HTTP_SESSION_VARS['chCounter2_eingeloggt'] = true;
	}
}

if(isset($HTTP_SESSION_VARS['chCounter2_eingeloggt']) && $HTTP_SESSION_VARS['chCounter2_eingeloggt'] == true)
{
	if(($config_cookie == "1" && ((isset($HTTP_POST_VARS['action']) && $HTTP_POST_VARS['action'] !== "config") || !isset($HTTP_POST_VARS['action']))) || isset($HTTP_POST_VARS['cookie']))
	{
		ob_end_clean();
		setcookie("chCounter23_count_protection", "don't count me", time()+25920000, "/", $HTTP_SERVER_VARS['SERVER_NAME'], 0);
	}
	else
	{
		ob_end_clean();
		setcookie("chCounter23_count_protection", "don't count me", time()-25920000, "/", $HTTP_SERVER_VARS['SERVER_NAME'], 0);
	}
}
else
{
	ob_end_clean();
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><?php echo "chCounter ".$chCounter_version[0].".".$chCounter_version[1].".".$chCounter_version[2]." - ".$chC_lang['administration']['administration']; ?></title>
<meta name="author" content="Christoph Bachner">
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<style type="text/css">
<!--
body, textarea
   {
   color:#000000;
   font-family: Verdana, Arial, Helvetica;
   font-size: 8pt;
   background-color:#E5E5E5;
   }
table
   {
   color:#000000;
   font-family: Verdana, Arial, Helvetica;
   font-size: 8pt;
   text-align: left;
   }
td, input
   {
   color:#000000;
   font-family: Verdana, Arial, Helvetica;
   font-size: 8pt;
   }

A:link
   {
   text-decoration: none;
   color: #000000;
   }

A:active
   {
   text-decoration: underline;
   color: #000000;
   }

A:visited
   {
   text-decoration: none;
   color: #000000;
   }

A:hover, A:focus
   {
   text-decoration: underline;
   color: #000000;
   }

.statistik
   {
   padding:4px;
   color:#000000;
   font-family: Verdana, Arial, Helvetica;
   font-size: 8pt;
   }
-->
</style>
<?php

if(isset($HTTP_SESSION_VARS['chCounter2_eingeloggt']) && isset($HTTP_GET_VARS['show']) && $HTTP_GET_VARS['show'] == "counterconfig")
{
     echo "<script type=\"text/javascript\">
<!--
function confirm_reset_stats(form) {

  stat = \"\";
  if(form.besucherdaten.checked == true) stat = stat + \" - ".$chC_lang['administration']['besucherdaten']."\\n\";
  if(form.zugriffe.checked == true) stat = stat + \" - ".$chC_lang['administration']['zugriffsstatistiken']."\\n\";
  if(form.tageszeit_tag.checked == true) stat = stat + \" - ".$chC_lang['administration']['tageszeit_tag_statistik']."\\n\";
  if(form.referer.checked == true) stat = stat + \" - ".$chC_lang['administration']['referer']."\\n\";
  if(form.seiten.checked == true) stat = stat + \" - ".$chC_lang['administration']['seitenstatistik']."\\n\";
  if(form.seitenprouser.checked == true) stat = stat + \" - ".$chC_lang['administration']['seitenaufrufe_pro_besucher']."\\n\";
  if(form.besucher_u_hits_pro_tag.checked == true) stat = stat + \" - ".$chC_lang['administration']['besucher_u_hits_pro_tag']."\\n\";
  if(form.browser_os.checked == true) stat = stat + \" - ".$chC_lang['administration']['browser_os']."\\n\";
  if(form.useragents.checked == true) stat = stat + \" - ".$chC_lang['administration']['user_agents']."\\n\";
  if(form.laender.checked == true) stat = stat + \" - ".$chC_lang['administration']['statistik_laender']."\\n\";
  if(form.aufloesungen.checked == true) stat = stat + \" - ".$chC_lang['administration']['aufloesungen']."\\n\";
  if(form.suchwoerter.checked == true) stat = stat + \" - ".$chC_lang['administration']['suchwoerter']."\\n\";
  if(form.js.checked == true) stat = stat + \" - ".$chC_lang['administration']['js']."\\n\";
  if(stat) {
     if(confirm(\"".$chC_lang['administration']['bestaetigung_statistiken_zuruecksetzen']."\\n\\n\" + stat) == false) {
        return false;
     }
  }
}
-->
</script>";
}

if(isset($HTTP_SESSION_VARS['chCounter2_eingeloggt']) && isset($HTTP_GET_VARS['show']) && $HTTP_GET_VARS['show'] == "code")
{
         ?>

<script type="text/javascript">
//<!--
function get_php_code() {
         code = "<" + "?php";
         if(document.php.visible[1].checked == true) code += "\n$chCounter_visible = \"0\";";
         if(document.php.status[1].checked == true) code += "\n$chCounter_status = \"inactive\";";
         if(document.php.template.value) {
            code += "\n$chCounter_template = <<<TEMPLATE";
            code += "\n" + document.php.template.value;
            code += "\nTEMPLATE;";
         }
         code += "\ninclude(\"<?php echo addslashes(str_replace("/administration", "", getcwd())); ?>/counter.php\");";
         code += "\n?>";
         document.result.code.value = code;
         document.result.code.focus();
}

function get_js_code()
{
         if(document.js.counter.value == false) {
             alert("<?php print $chC_lang['administration']['get_js_code_feld_counterverzeichnis_ausfuellen'] ?>");
             return false;
         }
	code = "<script type=\"text/javascript\">\n//<!--\n";
	code += "\/\/ chCounter v2.3\n";
	code += "\/\/ settings:\n";
	code += (document.js.status[1].checked == true) ? "cstatus = \"inactive\";\n" : "cstatus = \"active\";\n";
	code += (document.js.visible[1].checked == true) ? "visible = \"0\";\n" : "visible = \"1\";\n";
	code += "path_to_counterfile = \"" + document.js.counter.value;
	code += (document.js.counter.value.charAt(document.js.counter.value.length-1) != "/") ? "/counter.php\";\n" : "counter.php\";\n";
	code += "urlhp = \"<?php print $config_url_hp; ?>\";\n";
	code += "\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\n";
	code += "url = unescape(location.href);\n";
	code += "file = url.substring(url.lastIndexOf(urlhp) + urlhp.length, url.length);\n";
	code += "file = (file.charAt(0) != \"/\") ? \"/\" + file : file;\n";
	code += "referer = (document.referrer) ? document.referrer : \"\";\n";
	code += "document.write(\"<script type=\\\"text/javascript\\\" \");\n";
	code += "document.write(\"src=\\\"\" + path_to_counterfile + \"?chCounter_mode=js&status=\" + cstatus + \"&visible=\" + visible);\n";
	code += "document.write(\"&seite=\" + file + \"&referer=\" + referer + \"&res_width=\" + screen.width + \"&res_height=\" + screen.height + \"\\\"></\" + \"script>\");\n";
         code += "\/\/-->\n</" + "script>";
         document.result.code.value = code;
         document.result.code.focus();
}
//-->
</script>
         <?php
}
?>
</head>
<body>
<div align="center">
<table bgcolor="FFFFFF" width="650" border="0" style="border: 1px solid #000000" cellspacing="0" cellpadding="0">
 <tr>
  <td bgcolor="#006699" style="border-bottom:1px solid #000000; height:20px; color:#D3DDEB; padding-left:10px;"><b><?php echo "chCounter ".$chCounter_version[0].".".$chCounter_version[1].".".$chCounter_version[2]." - ".$chC_lang['administration']['administration']; ?></b></td>
 </tr>
 <tr>
  <td align="center" style="padding:4px; background-color: #FFFFFF;"><br>[<a href="?show=counterconfig"><?php echo $chC_lang['administration']['nav_einstellungen']; ?></a>]&nbsp; [<a href="?show=userconfig"><?php echo $chC_lang['administration']['nav_benutzerdaten']; ?></a>]&nbsp; [<a href="?show=statistik"><?php echo $chC_lang['administration']['nav_besucherdaten']; ?></a>]<br>[<a href="../statistics.php" target="_blank"><?php echo $chC_lang['administration']['nav_statistiken']; ?></a>]&nbsp; [<a href="?show=code"><?php echo $chC_lang['administration']['nav_einbindungshilfe']; ?></a>]&nbsp; [<a href="?show=news"><?php echo $chC_lang['administration']['nav_news']; ?></a>]&nbsp; [<a href="?action=logout"><?php echo $chC_lang['administration']['nav_logout']; ?></a>]
   <br>
   <hr width="540">
   <br>
   <br>
  </td>
 </tr>
 <tr>
  <td style="padding:6px; background-color: #FFFFFF;">
   <?php
if(isset($HTTP_GET_VARS['action']) && $HTTP_GET_VARS['action'] == "logout")
{
	session_destroy();
	echo "<div align=\"center\">".$chC_lang['administration']['logout_erfolgreich']."</div>\n<br>\n<br>\n<br>\n";
}
elseif(isset($HTTP_GET_VARS['password']) && $HTTP_GET_VARS['password'] == "new")
{
	if(!isset($HTTP_GET_VARS['send']) || (isset($HTTP_GET_VARS['send']) && $HTTP_GET_VARS['send'] != "now"))
	{
		echo "<div align=\"center\">\n";
                 echo $chC_lang['administration']['neues_passwort_anleitung']."<br>\n";
                 echo "<br>\n";
                 echo "<form method=\"post\" action=\"index.php?password=new&send=now\">\n";
                 echo "<table width=\"400\">\n";
                 echo " <tr>\n";
                 echo "  <td>".$chC_lang['administration']['neues_passwort_benutzername']."</td>\n";
                 echo "  <td><input type=\"text\" name=\"name\" value=\"\"></td>\n";
                 echo " </tr>\n";
                 echo " <tr>\n";
                 echo "  <td colspan=\"2\"><input type=\"submit\" value=\"".$chC_lang['administration']['neues_passwort_anfordern']."\"></td>\n";
                 echo " </tr>\n";
                 echo "</table>\n";
                 echo "</form>\n";
                 echo "</div\n";
         }
	elseif(is_array($HTTP_POST_VARS))
	{
		$userdata = $db->query("SELECT admin_name, admin_email FROM `".$GLOBALS['chC']['dbconfig']['table_config']."`");
		$userdata = $db->fetch_assoc($userdata);
		if($HTTP_POST_VARS['name'] == $userdata['admin_name'])
		{
			$neues_passwort = substr(md5(uniqid(rand())), 0, 8);
			$db->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_config']."` SET admin_passwort='".md5($neues_passwort)."'");
			if(mail(
				$userdata['admin_email'],
				$chC_lang['administration']['neues_passwort_email_betreff'],
				$chC_lang['administration']['neues_passwort_email_hallo']." ".$userdata['admin_name']
					.",\n".$chC_lang['administration']['neues_passwort_email_pwdgeaendert']
					."\n\n".$neues_passwort."\n\n".$chC_lang['administration']['neues_passwort_email_benutzername']
					." ".$userdata['admin_name']." ".$chC_lang['administration']['neues_passwort_email_administration']
					." (http://".$GLOBALS['chC']['env']['server_name'].$GLOBALS['chC']['env']['php_self'].") "
					.$chC_lang['administration']['neues_passwort_email_einloggen'],
				"From: chCounter2\nX-Sender-IP: ".$HTTP_SERVER_VARS['REMOTE_ADDR']."\nContent-Type: text/plain; charset=ISO-8859-1"
				))
			{
				echo "<div align=\"center\">".$chC_lang['administration']['neues_passwort_pwdgeaendert']."<br>\n<a href=\"index.php\">-> ".$chC_lang['administration']['neues_passwort_jetzteinloggen']."</a>\n<br>\n<br>\n<br>\n</div>\n";
			}
			else
			{
				echo "An error occurred";
			}
		}
		else
		{
			echo "<div align=\"center\">".$chC_lang['administration']['neues_passwort_benutzernamefalsch']."<br>\n";
                         echo "<a href=\"".$GLOBALS['chC']['env']['referer']."\"> &lt;&lt; ".$chC_lang['administration']['zurueck']."</a></div>\n<br>\n<br>\n<br>\n";
		}
	}
}
elseif(!isset($HTTP_SESSION_VARS['chCounter2_eingeloggt']))
{
	ob_start();
	$chCounter_status = "inactive";
	include("../counter.php");
	$c = ob_get_contents();
	ob_end_clean();
	if(!is_int(strpos($c, 'chCounter')))
	{
		die('Pl'.'ea'.'se'.' '.'do'.'n\'t'.' '.'to'.'uch '.'the '.'c'.'o'.'py'.'ri'.'ght'.'!'.'!');
	}
	echo "<div align=\"center\">\n";
	echo "<form method=\"post\" action=\"\">\n";
	echo "<input type=\"hidden\" name=\"login\" value=\"1\">\n";
	echo "<table width=\"400\">\n";
	echo " <tr>\n";
	echo "  <td>".$chC_lang['administration']['login_name']."</td>\n";
	echo "  <td><input type=\"text\" name=\"name\" value=\"\"></td>\n";
	echo " </tr>\n";
	echo " <tr>\n";
	echo "  <td>".$chC_lang['administration']['login_passwort']."</td>\n";
	echo "  <td><input type=\"password\" name=\"passwort\" value=\"\"></td>\n";
	echo " </tr>\n";
	echo " <tr>\n";
	echo "  <td colspan=\"2\"><input type=\"submit\" value=\"".$chC_lang['administration']['login_einloggen']."\"></td>\n";
	echo " </tr>\n";
	echo " <tr>\n";
	echo "  <td colspan=\"2\"><a href=\"index.php?password=new\"><br>".$chC_lang['administration']['login_passwort_vergessen']."</a></td>\n";
	echo " </tr>\n";
	echo "</table>\n";
	echo "</form>\n";
	echo "</div>\n";
}
else
{
	if(!isset($HTTP_GET_VARS['show']))
	{
		$HTTP_GET_VARS['show'] = "";
	}
	switch($HTTP_GET_VARS['show'])
	{
		case "counterconfig":	include("vieweditconfig.inc.php"); break;
		case "userconfig":	include("user.inc.php"); break;
		case "statistik":	include("statistik.inc.php"); break;
		case "code":		include("code.inc.php"); break;
		case "news":		include("news.inc.php"); break;
		default:		echo "<div align='center'>".$chC_lang['administration']['login_erfolgreich']."</div>\n<br>\n<br>\n<br>\n";
	}
}
?>
  </td>
 </tr>
 <tr>
  <td bgcolor="#006699" style="border-top:1px solid #000000; height:20px; color:#D3DDEB; padding-right:10px" align="right"><b>(c) by Christoph Bachner, 2004</b></td>
 </tr>
</table>
</div>
</body>
</html>