<?php

/*
 **************************************
 * administration/statistik.inc.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|25|2004
 * (c) by Christoph Bachner, 2003, 2004
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/


if(!defined("IN_CHCOUNTER")) {
   header("Location: http://".$HTTP_SERVER_VARS['SERVER_NAME'].dirname($PHP_SELF)."/index.php");
   exit;
}


$max = $db->query("SELECT COUNT(nr) as anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_log_data']."`");
$max = $db->fetch_assoc($max);
$max = $max['anzahl'];
$anzeigen = $db->query("SELECT anzahl_pro_logseite from `".$GLOBALS['chC']['dbconfig']['table_config']."`");
$anzeigen = $db->fetch_assoc($anzeigen);
$anzeigen = $anzeigen['anzahl_pro_logseite'];
$max_seiten = ceil($max/$anzeigen);
$seite = isset($HTTP_GET_VARS['seite']) ? $HTTP_GET_VARS['seite'] : $max_seiten;
$start = ($seite-1)*$anzeigen;
$limit = "LIMIT ".$start.", ".$anzeigen;

$visits = $db->query("SELECT nr, ip, host, useragent, zeit, referer, hits FROM `".$GLOBALS['chC']['dbconfig']['table_log_data']."` ORDER BY zeit ASC $limit");
$visits = $db->fetch_assoc($visits, 'multiple');

if($max_seiten > "1") {
    echo "<div align=\"center\">";
    $querystring = str_replace("&seite=".$seite, "", $HTTP_SERVER_VARS["QUERY_STRING"]);
    for($i=1;$i<$seite;$i++) {
         echo "<a href=\"".$HTTP_SERVER_VARS['PHP_SELF']."?".$querystring."&seite=".$i."\">".$i."</a> | ";
    }
    echo $i;
    for($i=$seite+1;$i<$max_seiten+1;$i++) {
         echo " | <a href=\"".$HTTP_SERVER_VARS['PHP_SELF']."?".$querystring."&seite=".$i."\">".$i."</a>";
    }
    echo "</div>
          <br>
          <br>";
}
?>
<div align="center">
<table width="100%">
 <tr>
  <td width="7%" align="center"><b><?php echo $chC_lang['administration']['nr']; ?></b></td>
  <td width="15%" align="center"><b><?php echo $chC_lang['administration']['ip']; ?></b></td>
  <td width="15%" align="center"><b><?php echo $chC_lang['administration']['host']; ?></b></td>
  <td width="21%" align="center"><b><?php echo $chC_lang['administration']['user_agent']; ?></b></td>
  <td width="22%" align="center"><b><?php echo $chC_lang['administration']['referer']; ?></b></td>
  <td width="8%" align="center"><b><?php echo $chC_lang['administration']['hits']; ?></b></td>
  <td width="12%" align="center"><b><?php echo $chC_lang['administration']['datum_uhrzeit']; ?></b></td>
 </tr>
<?php

for($i=0;$i<count($visits);$i++) {

     if(!empty($visits[$i]['referer']))
     {
     		$refhost = parse_url($visits[$i]['referer']);
     		$refhost = isset($refhost['host']) ? $refhost['host'] : "";

     		$temp = substr($refhost, 0, 25);
     		if(!empty($refhost) && $temp !== $refhost) {
                		$refhost = $temp."...";
     		}
     		unset($temp);
                 $referer = "<a href=\"".$visits[$i]['referer']."\" target=\"_blank\">".$refhost."</a>";
     }
     else
     {
     		$referer = "";
     }

     $bgcolor = (!(1 & $i)) ? "#F2F0F0" : "#E0DFDF";

     echo "<tr bgcolor=\"$bgcolor\">
            <td class=\"statistik\"><a href=\"userinfo.php?user_nr=".$visits[$i]['nr']."\" onclick=\"window.open('userinfo.php?user_nr=".$visits[$i]['nr']."','userinfo','width=550,height=350,screenX=0,screenY=0,resizable=yes,scrollbars=yes'); return false;\" target=\"userinfo\">".$visits[$i]['nr']."</a></td>
            <td class=\"statistik\">".$visits[$i]['ip']."</td>
            <td class=\"statistik\">".$visits[$i]['host']."</td>
            <td class=\"statistik\">".$visits[$i]['useragent']."</td>
            <td class=\"statistik\">$referer</td>
            <td class=\"statistik\" align=\"right\">".$visits[$i]['hits']."</td>
            <td class=\"statistik\">".chC_format_date(($config_lang == 'de') ? 'd.m.Y, H:i:s' : 'm|d|Y, H:i:s', $visits[$i]['zeit'], $config['zeitzone'])." <a href=\"userinfo.php?user_nr=".$visits[$i]['nr']."\" onclick=\"window.open('userinfo.php?user_nr=".$visits[$i]['nr']."','userinfo','width=550,height=350,screenX=0,screenY=0,resizable=yes,scrollbars=yes'); return false;\" target=\"userinfo\"><img src=\"../images/details.png\" width=\"8\" height=\"8\" border=\"0\" alt=\"".(($config_lang == 'de') ? 'Details' : 'details')."\"></a></td>
           </tr>";
}
if(!count($visits)) {
   echo "<tr><td colspan=\"7\" align=\"center\">".$chC_lang['administration']['noch_keine_besucher']."</td></tr>";
}

?>
</table>
</div>
<br>
<?php
if($max_seiten > "1") {
    echo "<br>
          <div align=\"center\">";
    $querystring = str_replace("&seite=".$seite, "", $HTTP_SERVER_VARS['QUERY_STRING']);
    for($i=1;$i<$seite;$i++) {
         echo "<a href=\"".$HTTP_SERVER_VARS['PHP_SELF']."?".$querystring."&seite=".$i."\">".$i."</a> | ";
    }
    echo $i;
    for($i=$seite+1;$i<$max_seiten+1;$i++) {
         echo " | <a href=\"".$HTTP_SERVER_VARS['PHP_SELF']."?".$querystring."&seite=".$i."\">".$i."</a>";
    }
    echo "</div>
          <br>
          <br>";
}
?>