<?php

/*
 **************************************
 * administration/user.inc.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|25|2004
 * (c) by Christoph Bachner, 2003, 2004
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/


if(!defined("IN_CHCOUNTER")) {
   header("Location: http://".$HTTP_SERVER_VARS['SERVER_NAME'].dirname($PHP_SELF)."/index.php");
   exit;
}

$userdata = $db->query("SELECT admin_name, admin_email, admin_passwort FROM `".$GLOBALS['chC']['dbconfig']['table_config']."`");
$userdata = $db->fetch_assoc($userdata);

if(isset($HTTP_POST_VARS['action']) && $HTTP_POST_VARS['action'] == "update_user") {
    if(empty($HTTP_POST_VARS['passwort']) || empty($HTTP_POST_VARS['name'])) {
       $meldung = $chC_lang['administration']['fehler_alle_felder_ausfuellen'];
    } elseif(md5($HTTP_POST_VARS['passwort']) !== $userdata['admin_passwort']) {
       $meldung = $chC_lang['administration']['falsches_aktuelles_passwort'];
    } elseif(!empty($HTTP_POST_VARS['neues_passwort']) && $HTTP_POST_VARS['neues_passwort'] !== $HTTP_POST_VARS['neues_passwort_2']) {
       $meldung = $chC_lang['administration']['falsches_neues_passwort'];
    } elseif(!empty($HTTP_POST_VARS['email']) && !ereg("^[_a-zA-Z0-9-](\.{0,1}[_a-zA-Z0-9-])*@([a-zA-Z0-9-]{2,}\.){0,}[a-zA-Z0-9-]{3,}(\.[a-zA-Z]{2,4}){1,2}$", $HTTP_POST_VARS['email'])) {
       $meldung = $chC_lang['administration']['ungueltige_emailadresse'];
    } else {
       $passwort = (!empty($HTTP_POST_VARS['neues_passwort'])) ? ", admin_passwort='".md5($HTTP_POST_VARS['neues_passwort'])."'" : "";
       $update = $db->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_config']."` set admin_name='".$HTTP_POST_VARS['name']."', admin_email ='".$HTTP_POST_VARS['email']."' $passwort");
       if($update == true) { $meldung = $chC_lang['administration']['benutzerdaten_erfolgreich_geaendert']; } else { echo $chC_lang['administration']['benutzerdaten_nicht_erfolgeich_geaendert']; }
       $userdata = $db->query("SELECT admin_name, admin_email, admin_passwort FROM `".$GLOBALS['chC']['dbconfig']['table_config']."`");
       $userdata = $db->fetch_assoc($userdata);
    }
}
?>
<div align="center">
<table border="1" style="text-align: center">
<tr>
<td>
<?php
if(isset($meldung)) {
   echo "<br><b>".$meldung."</b><br><br>";
}
?>
<form action="" method="post" style="margin-bottom: 0px;">
<input type="hidden" name="action" value="update_user">
 <table width="400">
  <tr>
   <td><?php echo $chC_lang['administration']['aktuelles_passwort']; ?> *</td>
   <td><input type="password" name="passwort"></td>
  </tr>
  <tr>
   <td><?php echo $chC_lang['administration']['benutzername']; ?> *</td>
   <td><input type="text" name="name" value="<?php echo $userdata['admin_name']; ?>"></td>
  </tr>
  <tr>
   <td><?php echo $chC_lang['administration']['email_adresse']; ?></td>
   <td><input type="text" name="email" value="<?php echo $userdata['admin_email']; ?>"></td>
  </tr>
  <tr>
   <td colspan="2">&nbsp;</td>
  </tr>
  <tr>
   <td><?php echo $chC_lang['administration']['neues_passwort']; ?></td>
   <td><input type="password" name="neues_passwort"</td>
  </tr>
  <tr>
   <td><?php echo $chC_lang['administration']['neues_passwort_wdh']; ?></td>
   <td><input type="password" name="neues_passwort_2"></td>
  </tr>
  <tr>
   <td colspan="2" align="center"><input type="submit" value="<?php echo $chC_lang['administration']['abschicken']; ?>"></td>
  </tr>
 </table>
</form>
</td>
</tr>
</table>
</div>
<br>
<br>
<br>