<?php


/*
 **************************************
 * /administration/userinfo.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|28|2004
 * (c) 2003, 2004 by Christoph Bachner
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/

error_reporting(E_ALL);
session_start();

if(!isset($HTTP_SESSION_VARS['chCounter2_eingeloggt']))
	exit;

require_once("../include/config.inc.php");
require_once("../include/mysql.class.php");
require_once("../include/functions.inc.php");

$db = new chC_mysql($GLOBALS['chC']['dbconfig']['server'], $GLOBALS['chC']['dbconfig']['user'], $GLOBALS['chC']['dbconfig']['passwort'], $GLOBALS['chC']['dbconfig']['database']);

$config = $db->query("SELECT url_hp, lang, zeitzone, script_version FROM `".$GLOBALS['chC']['dbconfig']['table_config']."`");
$config = $db->fetch_assoc($config);

$chC_lang = array();
require("../lang/lang_admin_".$config['lang'].".inc.php");
require("../lang/lang_".$config['lang'].".inc.php");

setlocale(LC_ALL, $chC_lang['lang']);

if(isset($HTTP_GET_VARS['user_nr']))
	$userinfo = $db->query("SELECT nr, ip, host, useragent, zeit, referer, hits, seiten FROM ".$GLOBALS['chC']['dbconfig']['table_log_data']." WHERE nr = ".intval($HTTP_GET_VARS['user_nr']));
	$userinfo = $db->fetch_assoc($userinfo);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><?php echo "chCounter v".$config['script_version'][0].".".$config['script_version'][1].".".$config['script_version'][2]." - ".$chC_lang['administration']['besucherinformationen']; ?></title>
<meta name="author" content="Christoph Bachner">
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<style type="text/css">
<!--
body, textarea
   {
   color:#000000;
   font-family: Verdana, Arial, Helvetica;
   font-size: 8pt;
   background-color:#E5E5E5;
   }
table
   {
   color:#000000;
   font-family: Verdana, Arial, Helvetica;
   font-size: 8pt;
   text-align: left;
   }
td, input
   {
   color:#000000;
   font-family: Verdana, Arial, Helvetica;
   font-size: 8pt;
   }

A:link
   {
   text-decoration: none;
   color: #000000;
   }

A:active
   {
   text-decoration: underline;
   color: #000000;
   }

A:visited
   {
   text-decoration: none;
   color: #000000;
   }

A:hover, A:focus
   {
   text-decoration: underline;
   color: #000000;
   }

.statistik
   {
   padding:4px;
   color:#000000;
   font-family: Verdana, Arial, Helvetica;
   font-size: 8pt;
   }
-->
</style>
</head>
<body>
<div align="center">
<table bgcolor="FFFFFF" border="0" style="border: 1px solid #000000" cellspacing="0" cellpadding="0">
 <tr>
  <td bgcolor="#006699" style="border-bottom:1px solid #000000; height:20px; color:#D3DDEB; padding-left:10px;"><b><?php echo "chCounter ".$config['script_version'][0].".".$config['script_version'][1].".".$config['script_version'][2]." - ".$chC_lang['administration']['besucherinformationen']; ?></b></td>
 </tr>
 <tr>
  <td style="padding:6px; background-color: #FFFFFF;">
   <table border="0">
   <?php
   if(!isset($userinfo) || count($userinfo) == 0)
   {
   ?>
    <tr>
     <td><?php print $chC_lang['administration']['besucher_existiert_nicht']; ?></td>
    </tr>
   <?php
   }
   else
   {
	if(!empty($userinfo['referer']))
     	{
                 $referer = "<a href=\"".$userinfo['referer']."\" target=\"_blank\">".substr($userinfo['referer'], 0, 50)."</a>";
	}
	else
	{
     		$referer = "-";
	}
    ?>
    <tr bgcolor="#F2F0F0">
     <td><?php print $chC_lang['administration']['nr']; ?>:</td>
     <td><?php print $userinfo['nr']; ?></td>
    </tr>
    <tr bgcolor="#E0DFDF">
     <td><?php print $chC_lang['administration']['ip']; ?>:</td>
     <td><?php print $userinfo['ip']; ?></td>
    </tr>
    <tr bgcolor="#F2F0F0">
     <td><?php print $chC_lang['administration']['host']; ?>:</td>
     <td><?php print $userinfo['host']; ?></td>
    </tr>
    <tr bgcolor="#E0DFDF">
     <td valign="top"><?php print $chC_lang['administration']['user_agent']; ?>:</td>
     <td>
      <?php
	$useragent_info = chC_analyse_useragent($userinfo['useragent']);

      print "<img src=\"../images/".str_replace(' ', '_', strtolower($useragent_info['browser'])).".png\" alt=\""
      		.$useragent_info['browser'].( ($useragent_info['browser_version'] == true && $useragent_info['browser_version'] != "unbekannt") ? ' '.$useragent_info['browser_version'] : '')."\">";
      print " <img src=\"../images/".str_replace(array(' ', '/'), array('_', ''), strtolower($useragent_info['os'])).".png"."\" alt=\""
      		.$useragent_info['os'].( ($useragent_info['os_version'] == true && $useragent_info['os_version'] != "unbekannt") ? ' '.$useragent_info['os_version'] : '')."\"><br>\n";
      print wordwrap($userinfo['useragent'], 50);
      ?>
     </td>
    </tr>
    <tr bgcolor="#F2F0F0">
     <td><?php print $chC_lang['administration']['referer']; ?>:</td>
     <td><?php print $referer; ?></td>
    </tr>
    <tr bgcolor="#E0DFDF">
     <td><?php print $chC_lang['administration']['hits']; ?>:</td>
     <td><?php print $userinfo['hits']; ?></td>
    </tr>
    <tr bgcolor="#F2F0F0">
     <td><?php print $chC_lang['administration']['datum_uhrzeit']; ?>:</td>
     <td><?php print chC_format_date('d.m.Y, H:i:s', $userinfo['zeit'], $config['zeitzone']); ?></td>
    </tr>
    <tr bgcolor="#E0DFDF">
     <td valign="top"><?php print $chC_lang['administration']['aufgerufene_seiten']; ?>:</td>
     <td>
     <?php
     $seiten = explode('|__|', $userinfo['seiten']);
     for($i = 0; $i < count($seiten)-1; $i++)
     {
	$seite = explode('|', $seiten[$i]);
	if(count($seite) > 2)
	{
		$tmp = '';
		$tmp2 = $seite[count($seite)-1];
		for($j = 0; $j < count($seite)-1; $j++)
		{
			$tmp .= ($j == 0) ? $seite[$j] : '|'.$seite[$j];
		}
		$seite = array();
		$seite[0] = $tmp;
		$seite[1] = $tmp2;
	}
	print chC_format_date('d.m.Y, H:i:s', $seite[1], $config['zeitzone'])."&nbsp;&nbsp;&nbsp;<a href=\"".$config['url_hp'].$seite[0]."\" target=\"_blank\">".((strlen($seite[0]) > 40) ? substr($seite[0], 0, 40).'...' : $seite[0])."</a><br>\n";
     }
     ?></td>
    </tr>
   <?php
   }
   ?>
   </table>
  </td>
 </tr>
 <tr>
  <td bgcolor="#006699" style="border-top:1px solid #000000; height:20px; color:#D3DDEB; padding-right:10px" align="right"><b>(c) by Christoph Bachner, 2004</b></td>
 </tr>
</table>
<br>
<br>
<a href="javascript: window.close()"><?php print $chC_lang['administration']['fenster_schliessen']; ?></a>
</div>
</body>
</html>