<?php

/*
 **************************************
 * include/config.inc.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|27|2004
 * copyright by Christoph Bachner, 2003, 2004
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/


// Datenbank-Einstellungen
$GLOBALS['chC']['dbconfig']['server'] = "localhost";                 // Der Datenbank-Server
$GLOBALS['chC']['dbconfig']['user'] = "";                     // Der Datenbank-Account
$GLOBALS['chC']['dbconfig']['passwort'] = "";                // Das Passwort zum Account
$GLOBALS['chC']['dbconfig']['database'] = "";                 // Der Name der Datenbank
$GLOBALS['chC']['dbconfig']['tables_prefix'] = "chCounter2_";	// Prefix of the chCounter database tables







//// changes below are usually not needed ////

// Namen der Datenbank-Tabellen, mssen nicht geaendert werden
$GLOBALS['chC']['dbconfig']['table_config'] = $GLOBALS['chC']['dbconfig']['tables_prefix']."config";                    // Konfigurations-Tabelle
$GLOBALS['chC']['dbconfig']['table_data'] = $GLOBALS['chC']['dbconfig']['tables_prefix']."data";                        // Tabelle mit den Counter-Werten
$GLOBALS['chC']['dbconfig']['table_log_data'] = $GLOBALS['chC']['dbconfig']['tables_prefix']."log_data";                    // Tabelle mit den Besucherndaten
$GLOBALS['chC']['dbconfig']['table_onlineusers'] = $GLOBALS['chC']['dbconfig']['tables_prefix']."onlineusers";            // Tabelle mit den gerade online befindlichen Usern
$GLOBALS['chC']['dbconfig']['table_blockedusers'] = $GLOBALS['chC']['dbconfig']['tables_prefix']."blockedusers";          // Tabelle mit den zu blockenden Usern
$GLOBALS['chC']['dbconfig']['table_referers'] = $GLOBALS['chC']['dbconfig']['tables_prefix']."referers";                  // Tabelle mit den Seiten, von denen die Besucher gekommen sind
$GLOBALS['chC']['dbconfig']['table_useragents'] = $GLOBALS['chC']['dbconfig']['tables_prefix']."useragents";            // Tabelle der Besucher - User-Agents
$GLOBALS['chC']['dbconfig']['table_pages'] = $GLOBALS['chC']['dbconfig']['tables_prefix']."pages";                    // Tabelle mit den Daten der Seitenstatistik
$GLOBALS['chC']['dbconfig']['table_access'] = $GLOBALS['chC']['dbconfig']['tables_prefix']."access";                        // Tabelle mit den Daten der Tages/Wochenstatistik
$GLOBALS['chC']['dbconfig']['table_countries'] = $GLOBALS['chC']['dbconfig']['tables_prefix']."countries";              // Tabelle mit den Daten der Lnderstatistik
$GLOBALS['chC']['dbconfig']['table_resolutions'] = $GLOBALS['chC']['dbconfig']['tables_prefix']."resolutions";              // Tabelle mit den Daten der Aufloesungenstatistik
$GLOBALS['chC']['dbconfig']['table_searchwords'] = $GLOBALS['chC']['dbconfig']['tables_prefix']."searchwords";

// Umgebungs-Variablen, mssen nicht geaendert werden
$GLOBALS['chC']['env']['admin_ip'] = "";
$GLOBALS['chC']['env']['ip'] = $HTTP_SERVER_VARS['REMOTE_ADDR'];
$GLOBALS['chC']['env']['host'] = @gethostbyaddr($HTTP_SERVER_VARS['REMOTE_ADDR']);
$GLOBALS['chC']['env']['useragent'] = isset($HTTP_SERVER_VARS['HTTP_USER_AGENT']) ? $HTTP_SERVER_VARS['HTTP_USER_AGENT'] : '';
$GLOBALS['chC']['env']['http_accept_language'] = isset($HTTP_SERVER_VARS['HTTP_ACCEPT_LANGUAGE']) ? $HTTP_SERVER_VARS['HTTP_ACCEPT_LANGUAGE'] : '';
$GLOBALS['chC']['env']['referer'] = isset($HTTP_SERVER_VARS['HTTP_REFERER']) ? $HTTP_SERVER_VARS['HTTP_REFERER'] : '';
$GLOBALS['chC']['env']['php_self'] = $HTTP_SERVER_VARS['PHP_SELF'];
#$GLOBALS['chC']['env']['path_translated'] = $HTTP_SERVER_VARS['PATH_TRANSLATED'];
$GLOBALS['chC']['env']['query_string'] = isset($HTTP_SERVER_VARS['QUERY_STRING']) ? $HTTP_SERVER_VARS['QUERY_STRING'] : '';
$GLOBALS['chC']['env']['server_name'] = $HTTP_SERVER_VARS['SERVER_NAME'];
$GLOBALS['chC']['env']['mode'] =  isset($HTTP_GET_VARS['chCounter_mode']) ? $HTTP_GET_VARS['chCounter_mode'] : "";
$chCounter_tempvars['status'] = isset($HTTP_GET_VARS['status']) ? $HTTP_GET_VARS['status'] : "";
$chCounter_tempvars['visible'] = isset($HTTP_GET_VARS['visible']) ? $HTTP_GET_VARS['visible'] : "";
$chCounter_tempvars['cookie'] = isset($HTTP_COOKIE_VARS['chCounter23_count_protection']) ? $HTTP_COOKIE_VARS['chCounter23_count_protection'] : "";
$chCounter_tempvars['seite'] = isset($HTTP_GET_VARS['seite']) ? $HTTP_GET_VARS['seite'] : "";
$chCounter_tempvars['referer'] = isset($HTTP_GET_VARS['referer']) ? $HTTP_GET_VARS['referer'] : "";
$chCounter_tempvars['res_width'] = isset($HTTP_GET_VARS['res_width']) ? $HTTP_GET_VARS['res_width'] : "";
$chCounter_tempvars['res_height'] = isset($HTTP_GET_VARS['res_height']) ? $HTTP_GET_VARS['res_height'] : "";

?>
