<?php

/*
 **************************************
 * lang/lang_admin_de.inc.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|26|2004
 * copyright by Christoph Bachner, 2003, 2004
 * webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/


$chC_lang['lang'] = "de_DE";

// index.php
$chC_lang['administration']['administration'] = "Administration";
$chC_lang['administration']['besucherdaten'] = "Besucherdaten";
$chC_lang['administration']['zugriffsstatistiken'] = "Zugriffsstatistiken";
$chC_lang['administration']['tageszeit_tag_statistik'] = "Tageszeit/Wochentag Statistik";
$chC_lang['administration']['referers'] = "Referer";
$chC_lang['administration']['seitenstatistik'] = "Seitenstatistik";
$chC_lang['administration']['seitenaufrufe_pro_besucher'] = "Seitenaufrufe pro Besucher";
$chC_lang['administration']['besucher_u_hits_pro_tag'] = "Besucher/Hits pro Tag";
$chC_lang['administration']['browser_os'] = "Browser / Betriebssysteme";
$chC_lang['administration']['user_agents'] = "User-Agents";
$chC_lang['administration']['statistik_laender'] = "Lnderstatistik";
$chC_lang['administration']['aufloesungen'] = "Monitorauflsungen";
$chC_lang['administration']['suchwoerter'] = "Suchmaschinen-Suchwrter";
$chC_lang['administration']['js'] = "JavaScript aktiviert ja/nein?";
$chC_lang['administration']['bestaetigung_statistiken_zuruecksetzen'] = "Sollen die folgenden Statistiken wirklich zurckgesetzt werden?";
$chC_lang['administration']['get_js_code_feld_counterverzeichnis_ausfuellen'] = "Bitte das Feld 'Pfad zum Counterverzeichnis' ausfllen!";
$chC_lang['administration']['nav_konfiguration'] = "Konfiguration";
$chC_lang['administration']['nav_einstellungen'] = "Einstellungen";
$chC_lang['administration']['nav_benutzerdaten'] = "Benutzerdaten &auml;ndern";
$chC_lang['administration']['nav_besucherdaten'] = "Besucherdaten";
$chC_lang['administration']['nav_einbindungshilfe'] = "Einbindungs-Hilfe";
$chC_lang['administration']['nav_statistiken'] = "Statistiken";
$chC_lang['administration']['nav_news'] = "News";
$chC_lang['administration']['nav_logout'] = "Ausloggen";
$chC_lang['administration']['logout_erfolgreich'] = "Erfolgreich ausgeloggt!";
$chC_lang['administration']['neues_passwort_anleitung'] = "Solltest du dein Passswort vergessen haben, gib hier deinen Benutzernamen ein.<br>Es wird dann ein neues Passwort generiert und an deine Email-Adresse geschickt.";
$chC_lang['administration']['neues_passwort_benutzername'] = "Dein Benutzername";
$chC_lang['administration']['neues_passwort_anfordern'] = "neues Passwort anfordern";
$chC_lang['administration']['neues_passwort_email_betreff'] = "chCounter2 - neues Passwort";
$chC_lang['administration']['neues_passwort_email_hallo'] = "Hallo";
$chC_lang['administration']['neues_passwort_email_pwdgeaendert'] = "dein Passwort wurde auf Wunsch geaendert. Du kannst dich jetzt mit dem neuen Passwort";
$chC_lang['administration']['neues_passwort_email_benutzername'] = "und dem Benutzernamen ";
$chC_lang['administration']['neues_passwort_email_administration'] = "in der Administration";
$chC_lang['administration']['neues_passwort_email_einloggen'] = "einloggen und das Passwort ggf. deinen Wuenschen entsprechend noch einmal aendern.";
$chC_lang['administration']['neues_passwort_pwdgeaendert'] = "Das Passwort wurde ge&auml;ndert und an deine Email-Adresse geschickt.";
$chC_lang['administration']['neues_passwort_jetzteinloggen'] = "Jetzt einloggen";
$chC_lang['administration']['neues_passwort_benutzernamefalsch'] = "Der Benutzername existiert nicht.";
$chC_lang['administration']['zurueck'] = "zur&uuml;ck";
$chC_lang['administration']['login_name'] = "Dein Login-Name:";
$chC_lang['administration']['login_passwort'] = "Dein Passwort:";
$chC_lang['administration']['login_einloggen'] = "einloggen";
$chC_lang['administration']['login_passwort_vergessen'] = "Passwort vergessen?";
$chC_lang['administration']['login_erfolgreich'] = "Du bist erfolgreich eingeloggt!";


// vieweditconfig.inc.php
$chC_lang['administration']['operation_ausgefuehrt'] = "Operation erfolgreich ausgef&uuml;hrt.";
$chC_lang['administration']['operation_nicht_ausgefuehrt'] = "Operation konnte nicht ausgef&uuml;hrt werden.";
$chC_lang['administration']['fehler_ungueltige_eingabe'] = "Keine g&uuml;ltige Eingabe!";
$chC_lang['administration']['fehler_alle_felder_ausfuellen'] = "Bitte alle Felder ausfllen!";
$chC_lang['administration']['fehler_nur_ziffern_erlaubt'] = "Die Angaben drfen nur aus Ziffern bestehen.";
$chC_lang['administration']['config_erfolgreich_eingetragen'] = "Konfiguration erfolgreich aktualisiert.";
$chC_lang['administration']['config_nicht_erfolgreich_eingetragen'] = "Konfiguration konnten nicht aktualisiert werden.";
$chC_lang['administration']['statistik_loeschen_geloescht'] = "gel&ouml;scht";
$chC_lang['administration']['statistik_besucherdaten'] = "Besucherdaten";
$chC_lang['administration']['statistik_zugriffe'] = "Zugriffsstatistiken";
$chC_lang['administration']['statistik_tageszeit_tag'] = "Tageszeit/Wochentag-Statistik";
$chC_lang['administration']['statistik_referer'] = "Referer-Daten";
$chC_lang['administration']['statistik_seiten'] = "Seitenstatistik";
$chC_lang['administration']['statistik_seitenprouser'] = "Seiten pro User - Statistik";
$chC_lang['administration']['statistik_besucher_u_hits_pro_tag'] = "Besucher/Hits pro Tag - Statistik";
$chC_lang['administration']['statistik_browser_os'] = "Browser / OS-Statistik";
$chC_lang['administration']['statistik_useragents'] = "User-Agents-Statistik";
$chC_lang['administration']['statistik_aufloesungen'] = "Monitor-Aufl&ouml;sungen Statistik";
$chC_lang['administration']['statistik_suchwoerter'] = "Suchw&ouml;rter Statistik";
$chC_lang['administration']['statistik_js'] = "JavaScript-Statistik";
$chC_lang['administration']['wichtig'] = "Wichtig";
$chC_lang['administration']['install.php_update.php_analyse_useragents.php_loeschen'] = "Bitte die Dateien <i>install.php</i>, <i>update.php</i> und/oder <i>analyse_useragents.php</i> im Counter-Verzeichnis aus Sicherheitsgr&uuml;nden <b>unbedingt</b> nach Gebrauch l&ouml;schen!";
$chC_lang['administration']['counterstand'] = "Counterstand";
$chC_lang['administration']['ipsperre'] = "Sperren eines Users fr erneuten Count<br>(in Sekunden):";
$chC_lang['administration']['useronline'] = "Zeit ohne Aktion, in der ein User als<br>online gilt (in Sekunden):";
$chC_lang['administration']['urlhp'] = "URL der Homepage, auf der der Counter eingesetzt wird:";
$chC_lang['administration']['verzeichnis'] = "Pfad zum Counter vom Homepage-Stammverzeichnis:";
$chC_lang['administration']['cookie'] = "Cookie benutzen, um selber nicht gezhlt zu werden:";
$chC_lang['administration']['datum_format'] = "Datumsformat: (siehe <u><a href=\"http://www.php.net/date\" target=\"_blank\">date()</a></u>)";
$chC_lang['administration']['ignored_referers'] = "Fremde Webseiten, die nicht in der Referer-Statistik aufgelistet werden sollen:<br>\n(',' als Trennzeichen)";
$chC_lang['administration']['sprache'] = "Sprache des Counters:";
$chC_lang['administration']['block_bots'] = "Suchmaschinen nicht z&auml;hlen:";
$chC_lang['administration']['zeitzone'] = "Zeitzone:";
$chC_lang['administration']['stunden'] = "Stunden";
$chC_lang['administration']['stunde'] = "Stunde";
$chC_lang['administration']['eintragen'] = "eintragen";
$chC_lang['administration']['besucher_gesamt'] = "Besucher gesamt:";
$chC_lang['administration']['besucher_heute'] = "Besucher heute:";
$chC_lang['administration']['besucher_gestern'] = "Besucher gestern:";
$chC_lang['administration']['besucher_max_online'] = "Maximal gleichzeitig online:";
$chC_lang['administration']['besucher_max_pro_tag'] = "Maximal pro Tag:";
$chC_lang['administration']['besucher_hits'] = "Seitenaufrufe gesamt:";
$chC_lang['administration']['besucher_hits_heute'] = "Seitenaufrufe heute:";
$chC_lang['administration']['besucher_hits_gestern'] = "Seitenaufrufe gestern:";
$chC_lang['administration']['statistikconfig'] = "Statistik-Einstellungen";
$chC_lang['administration']['eintraege_loeschen_nach'] = "Zeit, nach der die <a href=\"index.php?show=statistik\">Besucherdaten</a> aus der Datenbank gelscht werden sollen: (0 = nie)";
$chC_lang['administration']['minuten'] = "Minuten";
$chC_lang['administration']['stunden'] = "Stunden";
$chC_lang['administration']['tage'] = "Tage";
$chC_lang['administration']['anzahl_referer'] = "Anzahl der anzuzeigenden Referer:";
$chC_lang['administration']['anzahl_refdomains'] = "Anzahl der anzuzeigenden Referer-Domains:";
$chC_lang['administration']['anzahl_seiten'] = "Anzahl der anzuzeigenden Seiten/Dateien:";
$chC_lang['administration']['anzahl_pro_logseite'] = "Anzahl der angezeigten Besucher pro Seite in der Administrations-Statistik:";
$chC_lang['administration']['anzahl_user_agents'] = "Anzahl der anzuzeigenden User-Agents:";
$chC_lang['administration']['anzahl_laender'] = "Anzahl der anzuzeigenden L&auml;nder:";
$chC_lang['administration']['anzahl_aufloesungen'] = "Anzahl der anzuzeigenden Aufl&ouml;sungen:";
$chC_lang['administration']['anzahl_suchwoerter'] = "Anzahl der anzuzeigenden Suchw&ouml;rter:";
$chC_lang['administration']['show_ip'] = "Zeige die IP der gerade online befindlichen Besucher an:";
$chC_lang['administration']['ignorier_counter.php'] = "Die Datei <i>counter.php</i> nicht in der Auflistung der am h&auml;ufigsten aufgerufenen Seiten zeigen:";
$chC_lang['administration']['ignorier_counterdateien'] = "S&auml;mtliche Counterdateien nicht in der Seitenstatistik anzeigen:";
$chC_lang['administration']['suche_title_chCounter_tags'] = "Die Seiten nach &lt;title&gt;- und &lt;chCounter_title&gt;-Tags durchsuchen<br>(siehe ReadMe-Datei)";
$chC_lang['administration']['statistiken_leeren'] = "Statistikdaten leeren";
$chC_lang['administration']['teilweise_loeschen'] = "Teilweise l&ouml;schen:";
$chC_lang['administration']['alle'] = "Alle";
$chC_lang['administration']['useragents'] = "User-Agents";
$chC_lang['administration']['mit'] = "mit";
$chC_lang['administration']['gesamt'] = "gesamt";
$chC_lang['administration']['anzahl_o_haeufigkeit'] = "Anzahl/H&auml;ufigkeit";
$chC_lang['administration']['letztes_vorkommen'] = "Letztes Vorkommen";
$chC_lang['administration']['tag'] = "Tag";
$chC_lang['administration']['monat'] = "Monat";
$chC_lang['administration']['jahr'] = "Jahr";
$chC_lang['administration']['vor'] = "vor";
$chC_lang['administration']['am'] = "am";
$chC_lang['administration']['nach'] = "nach";
$chC_lang['administration']['vollstaendig_loeschen'] = "Vollst&auml;ndig leeren:";
$chC_lang['administration']['besucherdaten_leeren'] = "Besucherdaten (IP, Host, Referer, ...) l&ouml;schen";
$chC_lang['administration']['zugriffsstatistik_leeren'] = "Zugriffsstatistiken leeren";
$chC_lang['administration']['tageszeit_tag_statistik_leeren'] = "Tageszeit/Wochentag-Statistik leeren";
$chC_lang['administration']['referer_leeren'] = "Referer l&ouml;schen";
$chC_lang['administration']['seiten_leeren'] = "Seitenstatistik l&ouml;schen";
$chC_lang['administration']['seitenprouser_leeren'] = "Seiten pro User zur&uuml;cksetzen";
$chC_lang['administration']['besucher_u_hits_pro_tag_leeren'] = "Besucher/Hits pro Tag zur&uuml;cksetzen";
$chC_lang['administration']['browseros_leeren'] = "Browser/Betriebssystem - Statistik l&ouml;schen";
$chC_lang['administration']['useragents_leeren'] = "User-Agents - Statistik l&ouml;schen";
$chC_lang['administration']['laender_leeren'] = "L&auml;nderstatistik zur&uuml;cksetzen";
$chC_lang['administration']['aufloesungen_leeren'] = "Aufl&ouml;sungen zur&uuml;cksetzen";
$chC_lang['administration']['suchwoerter_leeren'] = "Suchw&ouml;rter l&ouml;schen";
$chC_lang['administration']['js_leeren'] = "JavaScript-Statistik zur&uuml;cksetzen";
$chC_lang['administration']['leeren'] = "Leeren";
$chC_lang['administration']['counterstand'] = "Der Counterstand";
$chC_lang['administration']['statistiken_(de)aktivieren'] = "Statistiken (de)aktivieren";
$chC_lang['administration']['besucherdaten_loggen'] = "Besucherdaten loggen";
$chC_lang['administration']['4wochenstatistik_aktivieren'] = "4-Wochen-Statistik aktivieren";
$chC_lang['administration']['monatsstatistik_aktivieren'] = "Monats-Statistik";
$chC_lang['administration']['refererstatistik_aktivieren'] = "Referer speichern";
$chC_lang['administration']['seitenstatistik_aktivieren'] = "Seitenstatistik aktivieren";
$chC_lang['administration']['useragentsstatistik_aktivieren'] = "Browser/Betriebssystems-Statistik";
$chC_lang['administration']['laenderstatistik_aktivieren'] = "Spracheinstellungen der Browser speichern";
$chC_lang['administration']['aufloesungsstatistiken_aktivieren'] = "Monitor-Aufl&ouml;sungen ermitteln";
$chC_lang['administration']['suchwoerterstatistiken_aktivieren'] = "Suchmachinen-Suchw&ouml;rter speichern";
$chC_lang['administration']['js_aktivieren'] = "Pr&uuml;fen, ob JavaScript aktiviert ist";
$chC_lang['administration']['tageszeit_tag_aktivieren'] = "Tageszeit/Wochentag-Statistik aktivieren";
$chC_lang['administration']['ok'] = "OK";
$chC_lang['administration']['menue'] = "Men&uuml;:";
$chC_lang['administration']['uebersicht_allgemeine_konfiguration'] = "Allgemeine Counter-Konfiguration";
$chC_lang['administration']['uebersicht_counterstand'] = "Counterstand ver&auml;ndern";
$chC_lang['administration']['uebersicht_statistik-einstellungen'] = "Statistik-Einstellungen";
$chC_lang['administration']['uebersicht_statistiken_aktivieren'] = "Statistiken (de)aktivieren";
$chC_lang['administration']['uebersicht_statistiken_leeren'] = "Statistikdaten leeren";



// user.inc.php
$chC_lang['administration']['falsches_aktuelles_passwort'] = "Das aktuelle Passwort wurde falsch eingegeben!";
$chC_lang['administration']['falsches_neues_passwort'] = "Das neue Passwort muss richtig wiederholt werden!";
$chC_lang['administration']['ungueltige_emailadresse'] = "Es wurde eine ung&uuml;ltige Email-Adresse eingegeben!";
$chC_lang['administration']['benutzerdaten_erfolgreich_geaendert'] = "Die Benutzerdaten wurden erfolgreich gendert!";
$chC_lang['administration']['benutzerdaten_nicht_erfolgeich_geaendert'] = "Fehler beim Update der Userdaten!";
$chC_lang['administration']['aktuelles_passwort'] = "Das aktuelle Passwort:";
$chC_lang['administration']['benutzername'] = "Der Benutzername:";
$chC_lang['administration']['email_adresse'] = "Email-Adresse:";
$chC_lang['administration']['neues_passwort'] = "Das neue Passwort:";
$chC_lang['administration']['neues_passwort_wdh'] = "Wiederholung des neues Passwortes:";
$chC_lang['administration']['abschicken'] = "abschicken";


// statistik.inc.php
$chC_lang['administration']['nr'] = "Nr.";
$chC_lang['administration']['ip'] = "IP";
$chC_lang['administration']['host'] = "Host";
$chC_lang['administration']['user_agent'] = "User-Agent";
$chC_lang['administration']['referer'] = "Referer";
$chC_lang['administration']['hits'] = "Hits";
$chC_lang['administration']['datum_uhrzeit'] = "Datum, Uhrzeit";
$chC_lang['administration']['noch_keine_besucher'] = "Noch keine Besucher in der Datenbank!";


// code.inc.php
$chC_lang['administration']['einbinden_mit'] = "Einbinden des Counters mit...";
$chC_lang['administration']['php'] = "PHP";
$chC_lang['administration']['nachdruecklich_empfohlen'] = "nachdr&uuml;cklich empfohlen";
$chC_lang['administration']['javascript'] = "JavaScript";
$chC_lang['administration']['sichtbar'] = "sichtbar";
$chC_lang['administration']['unsichtbar'] = "unsichtbar";
$chC_lang['administration']['aktiv'] = "aktiv";
$chC_lang['administration']['inaktiv'] = "inaktiv";
$chC_lang['administration']['individuelles_template'] = "Individuelles Template: (optional)";
$chC_lang['administration']['pfad_counterverzeichnis'] = "Der Pfad zum Counterverzeichnis (relativ oder absolut mit \"http://...\")";
$chC_lang['administration']['pfad_seite_1'] = "Der Pfad zur Seite, in die der Counter eingebunden werden soll, von deiner Homepage";
$chC_lang['administration']['pfad_seite_2'] = "aus und mit vorangehendem Slash ('/').";
$chC_lang['administration']['pfad_seite_3'] = "Wird das Feld leergelassen, so werden die individuellen Seitenaufrufe der jeweiligen aufgerufenen Seite nicht gez&auml;hlt.";
$chC_lang['administration']['phpcode_generieren'] = "PHP-Code generieren";
$chC_lang['administration']['javascriptcode_generieren'] = "JavaScript-Code generieren";
$chC_lang['administration']['generierter_code'] = "Der Code zum Einbinden des Counters:";
$chC_lang['administration']['falsche_url'] = "Sollte die URL nicht stimmen, kannst du sie in der <a href=\"index.php?show=counterconfig\">Konfiguration</a> &auml;ndern.";


//news.inc.php
$chC_lang['administration']['fehler_news_laden'] = "Konnte die News-Datei auf www.christoph-bachner.net nicht laden!";


//userinfo.php
$chC_lang['administration']['besucherinformationen'] = "Besucherinformationen";
$chC_lang['administration']['besucher_existiert_nicht'] = "Der angegebene Besucher existiert nicht!";
$chC_lang['administration']['aufgerufene_seiten'] = "Aufgerufene Seiten";
$chC_lang['administration']['fenster_schliessen'] = "Fenster schlieen";

?>