<?php

/*
 **************************************
 * lang/lang_admin_en.inc.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|28|2004
 * copyright 2003, 2004 by Christoph Bachner
 * webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/


$chC_lang['lang'] = "en_EN";

// index.php
$chC_lang['administration']['administration'] = "Administration";
$chC_lang['administration']['besucherdaten'] = "visitors log data";
$chC_lang['administration']['zugriffsstatistiken'] = "Access statistics";
$chC_lang['administration']['tageszeit_tag_statistiken'] = "hours/days statistics";
$chC_lang['administration']['referers'] = "referers";
$chC_lang['administration']['seitenstatistik'] = "pages statiatics";
$chC_lang['administration']['seitenaufrufe_pro_besucher'] = "hits per visitor";
$chC_lang['administration']['besucher_u_hits_pro_tag'] = "visitors/page views per day";
$chC_lang['administration']['browser_os'] = "browser / OS";
$chC_lang['administration']['user_agents'] = "user agents";
$chC_lang['administration']['statistik_laender'] = "country statistics";
$chC_lang['administration']['aufloesungen'] = "visitors' monitor resolutions";
$chC_lang['administration']['suchwoerter'] = "search words from search engines";
$chC_lang['administration']['js'] = "activated javscript";
$chC_lang['administration']['bestaetigung_statistiken_zuruecksetzen'] = "Do you really want to reset the following statistics?";
$chC_lang['administration']['get_js_code_feld_counterverzeichnis_ausfuellen'] = "Please fill out the field 'path to counter directory'!";
$chC_lang['administration']['nav_konfiguration'] = "Configuration";
$chC_lang['administration']['nav_einstellungen'] = "Settings";
$chC_lang['administration']['nav_benutzerdaten'] = "Admin data";
$chC_lang['administration']['nav_besucherdaten'] = "Visitors log data";
$chC_lang['administration']['nav_einbindungshilfe'] = "Help";
$chC_lang['administration']['nav_news'] = "News";
$chC_lang['administration']['nav_logout'] = "Log out";
$chC_lang['administration']['nav_statistiken'] = "Statistics";
$chC_lang['administration']['logout_erfolgreich'] = "Successfully logged out!";
$chC_lang['administration']['neues_passwort_anleitung'] = "If you have lost your admin password, enter your admin name here.<br>A new password will be created and sent to your email adress.";
$chC_lang['administration']['neues_passwort_benutzername'] = "Your admin name:";
$chC_lang['administration']['neues_passwort_anfordern'] = "request a new password";
$chC_lang['administration']['neues_passwort_email_betreff'] = "chCounter2 - new password";
$chC_lang['administration']['neues_passwort_email_hallo'] = "Hello";
$chC_lang['administration']['neues_passwort_email_pwdgeaendert'] = "as requested a new administration password was set. Now you can log into the administration with the password";
$chC_lang['administration']['neues_passwort_email_benutzername'] = "and the user name ";
$chC_lang['administration']['neues_passwort_email_administration'] = "";
$chC_lang['administration']['neues_passwort_email_einloggen'] = "";
$chC_lang['administration']['neues_passwort_pwdgeaendert'] = "A new password was set and sent to your email address.";
$chC_lang['administration']['neues_passwort_jetzteinloggen'] = "Log in now";
$chC_lang['administration']['neues_passwort_benutzernamefalsch'] = "The admin name doesn't exists.";
$chC_lang['administration']['zurueck'] = "back";
$chC_lang['administration']['login_name'] = "Your name:";
$chC_lang['administration']['login_passwort'] = "Your password:";
$chC_lang['administration']['login_einloggen'] = "log in";
$chC_lang['administration']['login_passwort_vergessen'] = "Password forgotten?";
$chC_lang['administration']['login_erfolgreich'] = "You have logged in successfully!";


// vieweditconfig.inc.php
$chC_lang['administration']['operation_ausgefuehrt'] = "Operation successfully executed.";
$chC_lang['administration']['operation_nicht_ausgefuehrt'] = "Operation couldn't be executed.";
$chC_lang['administration']['fehler_ungueltige_eingabe'] = "The input is not valid!";
$chC_lang['administration']['fehler_alle_felder_ausfuellen'] = "Please fill out each field!";
$chC_lang['administration']['fehler_nur_ziffern_erlaubt'] = "The input must be a number.";
$chC_lang['administration']['config_erfolgreich_eingetragen'] = "Configuration successfully updated.";
$chC_lang['administration']['config_nicht_erfolgreich_eingetragen'] = "the configuration could not be updated.";
$chC_lang['administration']['statistik_loeschen_geloescht'] = "deleted";
$chC_lang['administration']['statistik_besucherdaten'] = "visitors data";
$chC_lang['administration']['statistik_zugriffe'] = "access statistics";
$chC_lang['administration']['statistik_tageszeit_tag'] = "hours/days statistic";
$chC_lang['administration']['statistik_referer'] = "referer-data";
$chC_lang['administration']['statistik_seiten'] = "pages statistic";
$chC_lang['administration']['statistik_seitenprouser'] = "hits per user - statistic";
$chC_lang['administration']['statistik_besucher_u_hits_pro_tag'] = "visitors/page views per day - statistic";
$chC_lang['administration']['statistik_browser_os'] = "browser / OS statistics";
$chC_lang['administration']['statistik_useragents'] = "user-agents statistic";
$chC_lang['administration']['statistik_aufloesungen'] = "monitor resolutions statistic";
$chC_lang['administration']['statistik_suchwoerter'] = "searchwords statistic";
$chC_lang['administration']['statistik_js'] = "javascript statistic";
$chC_lang['administration']['wichtig'] = "Important";
$chC_lang['administration']['install.php_update.php_analyse_useragents.php_loeschen'] = "Please delete the files <i>install.php</i>, <i>update.php</i> and/or <i>analyse_useragents.php</i> in the counter folder for reasons of safety!";
$chC_lang['administration']['counterstand'] = "counter values";
$chC_lang['administration']['ipsperre'] = "time of the IP blocking<br>(in seconds):";
$chC_lang['administration']['useronline'] = "time without action while an user appears<br>to be online (in seconds):";
$chC_lang['administration']['urlhp'] = "URL of the homepage:";
$chC_lang['administration']['verzeichnis'] = "Path to the counter from your homepage root:";
$chC_lang['administration']['cookie'] = "use a cookie to prevent that the administrator gets counted:";
$chC_lang['administration']['datum_format'] = "date format: (see <u><a href=\"http://www.php.net/date\" target=\"_blank\">date()</a></u>)";
$chC_lang['administration']['ignored_referers'] = "foreign websites that should be ignored by the referers statistic:<br>\n(',' as separator)";
$chC_lang['administration']['block_bots'] = "don't count search engines/bots";
$chC_lang['administration']['sprache'] = "language of the counter:";
$chC_lang['administration']['zeitzone'] = "time zone:";
$chC_lang['administration']['stunden'] = "hours";
$chC_lang['administration']['stunde'] = "hour";
$chC_lang['administration']['eintragen'] = "update";
$chC_lang['administration']['besucher_gesamt'] = "visitors:";
$chC_lang['administration']['besucher_heute'] = "visitors today:";
$chC_lang['administration']['besucher_gestern'] = "visitors yesterday:";
$chC_lang['administration']['besucher_max_online'] = "maximum online:";
$chC_lang['administration']['besucher_max_pro_tag'] = "maximum per day:";
$chC_lang['administration']['besucher_hits'] = "pageviews:";
$chC_lang['administration']['besucher_hits_heute'] = "pageviews today:";
$chC_lang['administration']['besucher_hits_gestern'] = "pageviews yesterday:";
$chC_lang['administration']['statistikconfig'] = "Statistics configuration";
$chC_lang['administration']['eintraege_loeschen_nach'] = "time after which the <a href=\"index.php?show=statistik\">visitors data</a> is deleted:<br>(0 = never)";
$chC_lang['administration']['minuten'] = "minutes";
$chC_lang['administration']['stunden'] = "hours";
$chC_lang['administration']['tage'] = "days";
$chC_lang['administration']['anzahl_referer'] = "number of the referer to be shown:";
$chC_lang['administration']['anzahl_refdomains'] = "number of the referer domains :";
$chC_lang['administration']['anzahl_seiten'] = "number of the visited pages:";
$chC_lang['administration']['anzahl_pro_logseite'] = "number of the visitors per page in the visitors log data:";
$chC_lang['administration']['anzahl_user_agents'] = "number of useragents:";
$chC_lang['administration']['anzahl_laender'] = "number of countries:";
$chC_lang['administration']['anzahl_aufloesungen'] = "number of monitor resolutions:";
$chC_lang['administration']['anzahl_suchwoerter'] = "number of search words:";
$chC_lang['administration']['show_ip'] = "show the ip of the users beeing online:";
$chC_lang['administration']['ignorier_counter.php'] = "Don't show the file <i>counter.php</i> in the listing of visited pages:";
$chC_lang['administration']['ignorier_counterdateien'] = "Don't show any counter file in the pages statistic:";
$chC_lang['administration']['suche_title_chCounter_tags'] = "Search for &lt;title&gt;- and &lt;chCounter_title&gt;-tags (see the ReadMe file)";
$chC_lang['administration']['statistiken_leeren'] = "delete statistics data";
$chC_lang['administration']['teilweise_loeschen'] = "partial erasure of statistic data:";
$chC_lang['administration']['alle'] = "All";
$chC_lang['administration']['useragents'] = "user agents";
$chC_lang['administration']['mit'] = "with";
$chC_lang['administration']['gesamt'] = "overall";
$chC_lang['administration']['anzahl_o_haeufigkeit'] = "quantity";
$chC_lang['administration']['letztes_vorkommen'] = "appearance";
$chC_lang['administration']['tag'] = "day";
$chC_lang['administration']['monat'] = "month";
$chC_lang['administration']['jahr'] = "year";
$chC_lang['administration']['vor'] = "before";
$chC_lang['administration']['am'] = "on";
$chC_lang['administration']['nach'] = "after";
$chC_lang['administration']['vollstaendig_loeschen'] = "complete erasure:";
$chC_lang['administration']['besucherdaten_leeren'] = "erase the visitors log data (IP, host, referer, ...)";
$chC_lang['administration']['zugriffsstatistik_leeren'] = "erase the access statistics";
$chC_lang['administration']['tageszeit_tag_statistik_leeren'] = "erase the hours/days statistics";
$chC_lang['administration']['referer_leeren'] = "erase the referers";
$chC_lang['administration']['seiten_leeren'] = "erase the pages statistic";
$chC_lang['administration']['seitenprouser_leeren'] = "reset \"pageviews per user\"";
$chC_lang['administration']['besucher_u_hits_pro_tag_leeren'] = "reset \"visitors/page views per day\"";
$chC_lang['administration']['browseros_leeren'] = "erase the Browser/OS - statistics";
$chC_lang['administration']['useragents_leeren'] = "erase the user-agents statistic";
$chC_lang['administration']['laender_leeren'] = "erase the country statistic";
$chC_lang['administration']['aufloesungen_leeren'] = "erase the resolution statistic";
$chC_lang['administration']['suchwoerter_leeren'] = "erase the searchwords";
$chC_lang['administration']['js_leeren'] = "erase the javascript statistic";
$chC_lang['administration']['leeren'] = "delete";
$chC_lang['administration']['counterstand'] = "Counter values";
$chC_lang['administration']['statistiken_(de)aktivieren'] = "active statistics:";
$chC_lang['administration']['besucherdaten_loggen'] = "log visitors";
$chC_lang['administration']['4wochenstatistik_aktivieren'] = "four-weeks-statistics";
$chC_lang['administration']['monatsstatistik_aktivieren'] = "months-statistics";
$chC_lang['administration']['refererstatistik_aktivieren'] = "referers";
$chC_lang['administration']['seitenstatistik_aktivieren'] = "viewed pages statistics";
$chC_lang['administration']['useragentsstatistik_aktivieren'] = "browser/OS";
$chC_lang['administration']['laenderstatistik_aktivieren'] = "language settings of the browsers";
$chC_lang['administration']['aufloesungsstatistiken_aktivieren'] = "resolutions";
$chC_lang['administration']['suchwoerterstatistiken_aktivieren'] = "search engines: searched words";
$chC_lang['administration']['js_aktivieren'] = "test whether javascript is activated";
$chC_lang['administration']['tageszeit_tag_aktivieren'] = "hours/day of week statistics";
$chC_lang['administration']['ok'] = "OK";
$chC_lang['administration']['menue'] = "Menu:";
$chC_lang['administration']['uebersicht_allgemeine_konfiguration'] = "general counter settings";
$chC_lang['administration']['uebersicht_counterstand'] = "change the counter values";
$chC_lang['administration']['uebersicht_statistik-einstellungen'] = "statistic settings";
$chC_lang['administration']['uebersicht_statistiken_aktivieren'] = "manage activated statistics";
$chC_lang['administration']['uebersicht_statistiken_leeren'] = "reset statistics data";



// user.inc.php
$chC_lang['administration']['falsches_aktuelles_passwort'] = "The current password is wrong!";
$chC_lang['administration']['falsches_neues_passwort'] = "The new password must be repeated correctly!";
$chC_lang['administration']['ungueltige_emailadresse'] = "The email address is not valid!";
$chC_lang['administration']['benutzerdaten_erfolgreich_geaendert'] = "Your data was updated successfully!";
$chC_lang['administration']['benutzerdaten_nicht_erfolgeich_geaendert'] = "An error occurred while updating the admin data!";
$chC_lang['administration']['aktuelles_passwort'] = "Current password";
$chC_lang['administration']['benutzername'] = "Admin name:";
$chC_lang['administration']['email_adresse'] = "Your email address:";
$chC_lang['administration']['neues_passwort'] = "New password:";
$chC_lang['administration']['neues_passwort_wdh'] = "New password (repetition):";
$chC_lang['administration']['abschicken'] = "send";


// statistik.inc.php
$chC_lang['administration']['nr'] = "#";
$chC_lang['administration']['ip'] = "IP";
$chC_lang['administration']['host'] = "host";
$chC_lang['administration']['user_agent'] = "user agent";
$chC_lang['administration']['referer'] = "referer";
$chC_lang['administration']['hits'] = "hits";
$chC_lang['administration']['datum_uhrzeit'] = "date, time";
$chC_lang['administration']['noch_keine_besucher'] = "There is no visitor in the database!";


// code.inc.php
$chC_lang['administration']['einbinden_mit'] = "Including the counter with...";
$chC_lang['administration']['php'] = "PHP";
$chC_lang['administration']['nachdruecklich_empfohlen'] = "highly recommended";
$chC_lang['administration']['javascript'] = "JavaScript";
$chC_lang['administration']['sichtbar'] = "visible";
$chC_lang['administration']['unsichtbar'] = "invisible";
$chC_lang['administration']['aktiv'] = "active";
$chC_lang['administration']['inaktiv'] = "inactive";
$chC_lang['administration']['individuelles_template'] = "individual template: (optional)";
$chC_lang['administration']['pfad_counterverzeichnis'] = "Path to the counter directory (relative or absolute with \"http://...\")";
$chC_lang['administration']['pfad_seite_1'] = "path to the page where the counter will be included, from your homepage";
$chC_lang['administration']['pfad_seite_2'] = "and beginning with a slash ('/').";
$chC_lang['administration']['pfad_seite_3'] = "If the field is left empty, the individual pageviews of the page where the counter is included can't be counted.";
$chC_lang['administration']['phpcode_generieren'] = "generate PHP-Code";
$chC_lang['administration']['javascriptcode_generieren'] = "generate JavaScript-Code";
$chC_lang['administration']['generierter_code'] = "The code to include the counter:";
$chC_lang['administration']['falsche_url'] = "If the URL is wrong, you can correct it in the <a href=\"index.php?show=counterconfig\">configuration</a>.";


//news.inc.php
$chC_lang['administration']['fehler_news_laden'] = "Could not get the news file from www.christoph-bachner.net!";
$chC_lang['administration']['keine_neuere_version_vorhanden'] = "Your version is up to date!";


//userinfo.php
$chC_lang['administration']['besucherinformationen'] = "Visitor details";
$chC_lang['administration']['besucher_existiert_nicht'] = "The requested visitor doesn't exists!";
$chC_lang['administration']['aufgerufene_seiten'] = "requested pages";
$chC_lang['administration']['fenster_schliessen'] = "close window";


?>