<?php

/*
 **************************************
 * lang/lang_de.inc.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|27|2004
 * (c) by Christoph Bachner, 2003, 2004
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/


$chC_lang['lang'] = "de_DE";

$chC_lang['allgemein']['onlineusers'] = "Wer ist online?";
$chC_lang['allgemein']['statistics'] = "Statistiken";
$chC_lang['allgemein']['keine_besucher_online'] = "Keine Besucher online.";
$chC_lang['allgemein']['keine_seiten_in_db'] = "Noch keine besuchten Seiten in der Statistik vorhanden.";
$chC_lang['allgemein']['keine_referer_in_db'] = "Noch kein Referer in der Statistik vorhanden.";
$chC_lang['allgemein']['kein_eintrag_in_db'] = "Noch kein Eintrag in der Datenbank vorhanden.";
$chC_lang['allgemein']['kein_browser_in_db'] = "Keine Browser in der Statistik vorhanden.";
$chC_lang['allgemein']['kein_os_in_db'] = "Keine Betriebssysteme in der Statistik vorhanden.";
$chC_lang['allgemein']['kein_user_agent_in_db'] = "Noch kein User-Agent in der Datenbank.";
$chC_lang['allgemein']['kein_land_in_db'] = "Noch keine Daten in der Datenbank.";
$chC_lang['allgemein']['kein_eintrag_in_db'] = "Noch kein Eintrag in der Datenbank vorhanden.";
$chC_lang['allgemein']['kategorie_auswaehlen'] = "Bitte eine Kategorie auswhlen...";
$chC_lang['allgemein']['besucher'] = "Besucher";
$chC_lang['allgemein']['besucher_durchschnittlich'] = "Besucher durchschnittlich";
$chC_lang['allgemein']['seitenaufrufe'] = "Seitenaufrufe";
$chC_lang['allgemein']['letzten_4_wochen'] = "Die letzten 4 Wochen";
$chC_lang['allgemein']['letzten_12_monate'] = "Die letzten 12 Monate";
$chC_lang['allgemein']['letzten_jahre'] = "Die letzten Jahre";
$chC_lang['allgemein']['nach_besuchern'] = "nach Besuchern";
$chC_lang['allgemein']['nach_seitenaufrufen'] = "nach Seitenaufrufen";
$chC_lang['allgemein']['kein_datum'] = 'kein Datum gespeichert';
$chC_lang['allgemein']['Stunde'] = 'Stunde';
$chC_lang['allgemein']['Stunden'] = 'Stunden';
$chC_lang['allgemein']['Tageszeit'] = 'Tageszeit';
$chC_lang['allgemein']['Wochentage'] = 'Wochentage';
$chC_lang['allgemein']['Uhr'] = "Uhr";
$chC_lang['allgemein']['datum']['Sunday'] = 'Sonntag';
$chC_lang['allgemein']['datum']['Monday'] = 'Montag';
$chC_lang['allgemein']['datum']['Tuesday'] = 'Dienstag';
$chC_lang['allgemein']['datum']['Wednesday'] = 'Mittwoch';
$chC_lang['allgemein']['datum']['Thursday'] = 'Donnerstag';
$chC_lang['allgemein']['datum']['Friday'] = 'Freitag';
$chC_lang['allgemein']['datum']['Saturday'] = 'Samstag';
$chC_lang['allgemein']['datum']['Sun'] = 'So';
$chC_lang['allgemein']['datum']['Mon'] = 'Mo';
$chC_lang['allgemein']['datum']['Tue'] = 'Di';
$chC_lang['allgemein']['datum']['Wed'] = 'Mi';
$chC_lang['allgemein']['datum']['Thu'] = 'Do';
$chC_lang['allgemein']['datum']['Fri'] = 'Fr';
$chC_lang['allgemein']['datum']['Sat'] = 'Sa';
$chC_lang['allgemein']['datum']['January'] = 'Januar';
$chC_lang['allgemein']['datum']['February'] = 'Februar';
$chC_lang['allgemein']['datum']['March'] = 'Mrz';
$chC_lang['allgemein']['datum']['April'] = 'April';
$chC_lang['allgemein']['datum']['May'] = 'Mai';
$chC_lang['allgemein']['datum']['June'] = 'Juni';
$chC_lang['allgemein']['datum']['July'] = 'Juli';
$chC_lang['allgemein']['datum']['August'] = 'August';
$chC_lang['allgemein']['datum']['September'] = 'September';
$chC_lang['allgemein']['datum']['October'] = 'Oktober';
$chC_lang['allgemein']['datum']['November'] = 'November';
$chC_lang['allgemein']['datum']['December'] = 'Dezember';
$chC_lang['allgemein']['datum']['Jan'] = 'Jan';
$chC_lang['allgemein']['datum']['Feb'] = 'Feb';
$chC_lang['allgemein']['datum']['Mar'] = 'Mrz';
$chC_lang['allgemein']['datum']['Apr'] = 'Apr';
$chC_lang['allgemein']['datum']['May'] = 'Mai';
$chC_lang['allgemein']['datum']['Jun'] = 'Jun';
$chC_lang['allgemein']['datum']['Jul'] = 'Jul';
$chC_lang['allgemein']['datum']['Aug'] = 'Aug';
$chC_lang['allgemein']['datum']['Sep'] = 'Sep';
$chC_lang['allgemein']['datum']['Oct'] = 'Okt';
$chC_lang['allgemein']['datum']['Nov'] = 'Nov';
$chC_lang['allgemein']['datum']['Dec'] = 'Dez';
$chC_lang['allgemein']['gesamt'] = "gesamt";
$chC_lang['allgemein']['unbekannt'] = "unbekannt";
$chC_lang['allgemein']['Suchmaschinen'] = "Suchmaschinen / Robots";
$chC_lang['allgemein']['nl'] = "Niederlande";
$chC_lang['allgemein']['gb'] = "Grobritannien";
$chC_lang['allgemein']['uk'] = "United Kingdom";
$chC_lang['allgemein']['en'] = "England";
$chC_lang['allgemein']['us'] = "USA";
$chC_lang['allgemein']['et'] = "Estland";
$chC_lang['allgemein']['sv'] = "Schweden";
$chC_lang['allgemein']['ru'] = "Russland";
$chC_lang['allgemein']['de'] = "Deutschland";
$chC_lang['allgemein']['ar'] = "Argentinien";
$chC_lang['allgemein']['ca'] = "Kanada";
$chC_lang['allgemein']['fr'] = "Frankreich";
$chC_lang['allgemein']['be'] = "Belgien";
$chC_lang['allgemein']['mx'] = "Mexico";
$chC_lang['allgemein']['es'] = "Spanien";
$chC_lang['allgemein']['no'] = "Norwegen";
$chC_lang['allgemein']['it'] = "Italien";
$chC_lang['allgemein']['fi'] = "Finnland";
$chC_lang['allgemein']['au'] = "Australien";
$chC_lang['allgemein']['at'] = "&Ouml;sterreich";
$chC_lang['allgemein']['pr'] = "Puerto Rico";
$chC_lang['allgemein']['ch'] = "Schweiz";
$chC_lang['allgemein']['ve'] = "Venezuela";
$chC_lang['allgemein']['da'] = "D&auml;nemark";
$chC_lang['allgemein']['nz'] = "Neeseeland";
$chC_lang['allgemein']['br'] = "Brazilien";
$chC_lang['allgemein']['hk'] = "Hongkong";
$chC_lang['allgemein']['th'] = "Thailand";
$chC_lang['allgemein']['cl'] = "Chile";
$chC_lang['allgemein']['za'] = "S&uuml;d Afrika";
$chC_lang['allgemein']['tw'] = "Taiwan";
$chC_lang['allgemein']['tr'] = "T&uuml;rkei";
$chC_lang['allgemein']['cn'] = "China";
$chC_lang['allgemein']['bg'] = "Bulgarien";
$chC_lang['allgemein']['ro'] = "Rom&auml;nien";
$chC_lang['allgemein']['hu'] = "Ungarn";
$chC_lang['allgemein']['cs'] = "Tschechien";
$chC_lang['allgemein']['eg'] = "&Auml;gypent";
$chC_lang['allgemein']['sa'] = "Saudi Arabien";
$chC_lang['allgemein']['id'] = "Indonesien";
$chC_lang['allgemein']['lv'] = "Lettland";
$chC_lang['allgemein']['is'] = "Island";
$chC_lang['allgemein']['hr'] = "Kroatien";
$chC_lang['allgemein']['sl'] = "Slowenien";
$chC_lang['allgemein']['bo'] = "Bolivien";
$chC_lang['allgemein']['li'] = "Liechtenstein";
$chC_lang['allgemein']['el'] = "Griechenland";
$chC_lang['allgemein']['he'] = "Israel";
$chC_lang['allgemein']['referer'] = 'Referer';
$chC_lang['allgemein']['refdomains'] = 'Referer-Domains';
$chC_lang['allgemein']['useragents'] = 'User-Agents';
$chC_lang['allgemein']['pages'] = "Seiten";
$chC_lang['allgemein']['searchwords'] = "Suchw&ouml;rter";
$chC_lang['allgemein']['ordnen'] = '';
$chC_lang['allgemein']['anzahl'] = 'nach Anzahl';
$chC_lang['allgemein']['nach_datum'] = ' nach letztem Vorkommen';
$chC_lang['allgemein']['alphabetisch'] = 'alphabetisch';
$chC_lang['allgemein']['aufsteigend'] = 'aufsteigend';
$chC_lang['allgemein']['absteigend'] = 'absteigend';

?>