<?php

/*
 **************************************
 * useronline.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|26|2004
 * copyright 2003, 2004 by Christoph Bachner
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/

error_reporting(E_ALL);
require_once("./include/functions.inc.php");
require_once("./include/template.class.php");
require_once("./include/config.inc.php");
require_once("./include/mysql.class.php");

$db = new chC_mysql($GLOBALS['chC']['dbconfig']['server'], $GLOBALS['chC']['dbconfig']['user'], $GLOBALS['chC']['dbconfig']['passwort'], $GLOBALS['chC']['dbconfig']['database']);
$config = $db->query("SELECT lang, show_onlineuser_ip, datum_format, zeitzone FROM `".$GLOBALS['chC']['dbconfig']['table_config']."`");
$config = $db->fetch_assoc($config);

$chC_lang = array();
require("lang/lang_".$config['lang'].".inc.php");
$chCounter_pagetitle = $chC_lang['allgemein']['onlineusers'];
$chCounter_visible = "0";
require_once("counter.php");

$online_user = $db->query("SELECT o.nr, o.ip, o.seite, o.zeit, o.hits, s.titel FROM `".$GLOBALS['chC']['dbconfig']['table_onlineusers']."` as o, `".$GLOBALS['chC']['dbconfig']['table_pages']."` as s WHERE o.seite = s.seite");
$online_user = $db->fetch_assoc($online_user, 'multiple');
if(count($online_user) > 0)
{
	$output_useronline = '';
        	for($i=0;$i<count($online_user);$i++)
	{
         		if($config['show_onlineuser_ip'] == "0")
		{
			$online_user[$i]['ip'] = "-";
		}
		if(empty($online_user[$i]['titel']))
			$online_user[$i]['titel'] = $online_user[$i]['seite'];
                	$output_useronline .= " <tr bgcolor=\"#F2F0F0\">\n";
  		$output_useronline .= "  <td align=\"left\">".$online_user[$i]['nr']."</td>\n";
  		$output_useronline .= "  <td align=\"left\">".$online_user[$i]['ip']."</td>\n";
  		$output_useronline .= "  <td align=\"left\"><a href=\"http://".getenv("SERVER_NAME").$online_user[$i]['seite']."\" target=\"_blank\">".$online_user[$i]['titel']."</a></td>\n";
  		$output_useronline .= "  <td align=\"right\">".$online_user[$i]['hits']."</td>\n";
  		$output_useronline .= "  <td align=\"right\">".chC_format_date($config['datum_format'], $online_user[$i]['zeit'], $config['zeitzone'])."</td>\n";
		$output_useronline .= " </tr>\n";
	}
}
else
{

	$output_useronline = "<tr><td colspan=\"5\" align=\"center\">".$chC_lang['allgemein']['keine_besucher_online']."</td></tr>";
}

$uotpl = new chCounter_template("templates/onlineusers.tpl.htm");
$uotpl->assign("ONLINE_USERS", $output_useronline);
$zeitzone = 'GMT';
if($config['zeitzone'] != "0")
{
		$zeitzone .= ($config['zeitzone'] == "1") ? ' + '.$config['zeitzone'].' '.$chC_lang['allgemein']['Stunde'] : ' + '.$config['zeitzone'].' '.$chC_lang['allgemein']['Stunden'];
}
$uotpl->assign("TIME_ZONE", $zeitzone);
// copyright notice, please be fair and don't remove it. thanks :-)
$uotpl->force_assign("COPYRIGHT", "<span style=\"font-size: 9px; letter-spacing: 0px;\">Powered by <a href=\"http://www.christoph-bachner.net/\" target=\"_blank\">chCounter v2.3.0</a><br>\n<!--&copy; 2004 by Christoph Bachner--></span>");
$uotpl->print_template();

?>
