<?php

/*
 **************************************
 * administration/code.inc.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|26|2004
 * (c) by Christoph Bachner, 2003, 2004
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/


if(!defined("IN_CHCOUNTER"))
{
	header("Location: http://".$HTTP_SERVER_VARS['SERVER_NAME'].dirname($PHP_SELF)."/index.php");
	exit;
}

?>
<div align="center"><h5><?php echo $chC_lang['administration']['einbinden_mit']; ?></h5>
<table style="text-align: left" border="0" cellspacing="0" cellpadding="0">
 <tr>
  <td style="border-right: 1px solid #000000; border-bottom: 1px solid #000000; padding: 8px" width="50%" align="center">
   <h5 style="margin-bottom: 0px"><?php echo $chC_lang['administration']['php']; ?></h5>
   (<i><?php echo $chC_lang['administration']['nachdruecklich_empfohlen']; ?></i>)
  </td>
  <td style="border-bottom: 1px solid #000000; padding: 8px" width="50%" align="center"><h5><?php echo $chC_lang['administration']['javascript']; ?></h5></td>
 </tr>
 <tr>
  <td style="border-right: 1px solid #000000; border-bottom: 1px solid #000000; padding: 8px" valign="top">
   <form name="php">
   <input type="radio" name="visible" value="1" checked> <?php echo $chC_lang['administration']['sichtbar']; ?><br>
   <input type="radio" name="visible" value="0"> <?php echo $chC_lang['administration']['unsichtbar']; ?><br>
   <br>
   <input type="radio" name="status" value="active" checked> <?php echo $chC_lang['administration']['aktiv']; ?><br>
   <input type="radio" name="status" value="inactive"> <?php echo $chC_lang['administration']['inaktiv']; ?><br>
   <br>
   <?php echo $chC_lang['administration']['individuelles_template']; ?><br>
   <textarea name="template" cols="40" rows="10"></textarea>
   </form>
  </td>
  <td style="border-bottom: 1px solid #000000; padding: 8px" valign="top">
   <form name="js">
   <input type="radio" name="visible" value="1" checked> <?php echo $chC_lang['administration']['sichtbar']; ?><br>
   <input type="radio" name="visible" value="0"> <?php echo $chC_lang['administration']['unsichtbar']; ?><br>
   <br>
   <input type="radio" name="status" value="active" checked> <?php echo $chC_lang['administration']['aktiv']; ?><br>
   <input type="radio" name="status" value="inactive"> <?php echo $chC_lang['administration']['inaktiv']; ?><br>
   <br>
   <input type="text" name="counter" value="http://<?php echo $HTTP_SERVER_VARS['SERVER_NAME'].dirname(str_replace("/administration", "", $HTTP_SERVER_VARS['REQUEST_URI'])); ?>"><br>
   <?php echo $chC_lang['administration']['pfad_counterverzeichnis']; ?>
   </form>
  </td>
 </tr>
 <tr>
  <form>
  <td style="border-right: 1px solid #000000; padding: 8px" align="center"><br><input type="button" value="<?php echo $chC_lang['administration']['phpcode_generieren']; ?>" onclick="get_php_code()"></td>
  <td style="padding: 8px" align="center"><br><input type="button" value="<?php echo $chC_lang['administration']['javascriptcode_generieren']; ?>" onclick="get_js_code()"></td>
  </form>
 </tr>
 <tr>
  <td colspan="2" align="center">
   <br>
   <br>
   <br>
   <h5><?php echo $chC_lang['administration']['generierter_code']; ?></h5>
   <form name="result">
   <textarea name="code" cols="80" rows="10"></textarea>
   </form>
  </td>
 </tr>
</table>
<br>
<br>
<br>