<?php

/*
 **************************************
 * analyse_useragents.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|25|2004
 * copyright 2003, 2004 by Christoph Bachner
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/

error_reporting(E_ALL);

if(isset($_REQUEST['submit']))
{

	$GLOBALS['chC']['env']['serverpfad'] = dirname(__FILE__);

	require_once($GLOBALS['chC']['env']['serverpfad']."/include/config.inc.php");
	require_once($GLOBALS['chC']['env']['serverpfad']."/include/functions.inc.php");

	@mysql_connect($GLOBALS['chC']['dbconfig']['server'], $GLOBALS['chC']['dbconfig']['user'], $GLOBALS['chC']['dbconfig']['passwort']) OR die("Could not connect to the database!");
	@mysql_select_db($GLOBALS['chC']['dbconfig']['database']) or die(mysql_error());

	@mysql_query("DELETE FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."` WHERE was = 'browser' OR was = 'os' OR was = 'version'") OR die(mysql_error());


	$useragents = array();
	$useragents_versionen = array();

	$data = @mysql_query("SELECT typ as useragent, anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."` WHERE was = 'useragent'") or die(mysql_error());

	if(mysql_num_rows($data) == 0)
	{
		die("Done.");
	}

	while($row = mysql_fetch_assoc($data))
	{
		$useragents_details = chC_analyse_useragent($row['useragent']);

		# browser
		if(isset($useragents['browser'][$useragents_details['browser']]))
		{
			$useragents['browser'][$useragents_details['browser']] += $row['anzahl'];
		}
		else
		{
			$useragents['browser'][$useragents_details['browser']] = $row['anzahl'];
		}

		#browserversion
		if(isset($useragents_details['browser_version']) && $useragents_details['browser_version'] == true)
		{
			if(isset($useragents_versionen[$useragents_details['browser']][$useragents_details['browser_version']]))
			{
		         		$useragents_versionen[$useragents_details['browser']][$useragents_details['browser_version']] += $row['anzahl'];
			}
			else
			{
				$useragents_versionen[$useragents_details['browser']][$useragents_details['browser_version']] = $row['anzahl'];
			}
		}

		# os
		if(isset($useragents['os'][$useragents_details['os']]))
		{
			$useragents['os'][$useragents_details['os']] += $row['anzahl'];
		}
		else
		{
			$useragents['os'][$useragents_details['os']] = $row['anzahl'];
		}

		#osversion
		if(isset($useragents_details['os_version']) && $useragents_details['browser_version'] == true)
		{
			if(isset($useragents_versionen[$useragents_details['os']][$useragents_details['os_version']]))
			{
				$useragents_versionen[$useragents_details['os']][$useragents_details['os_version']] += $row['anzahl'];
			}
			else
			{
				$useragents_versionen[$useragents_details['os']][$useragents_details['os_version']] = $row['anzahl'];
			}
		}

	}

	$insert_what = '';

	foreach($useragents['browser'] as $browser => $anzahl)
	{
		if(!empty($insert_what))
			$insert_what .= ', ';
		$insert_what .= "('browser', '".$browser."', ".time().", ".$anzahl.")";
	}

	foreach($useragents['os'] as $os => $anzahl)
	{
		if(!empty($insert_what))
			$insert_what .= ', ';
		$insert_what .= "('os', '".$os."', ".time().", ".$anzahl.")";
	}

	foreach($useragents_versionen as $typ => $versionen)
	{
		foreach($versionen as $version => $anzahl)
		{
			if(!empty($insert_what))
				$insert_what .= ', ';
			$insert_what .= "('version', '".$typ."~".$version."', ".time().", ".$anzahl.")";
		}
	}

	if(!empty($insert_what))
	{
		@mysql_query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_useragents']."` ( was, typ, datum, anzahl ) VALUES ".$insert_what) or die(mysql_error());
	}

	print "Done.";
}
else
{
?>
Bitte nur fortfahren, wenn du noch nie die Useragents "teilweise" gel&ouml;scht hast (in der Administration).
Solltest du dies schon getan haben, musst du die Useragent Statistiken in der Adminsitration zur&uuml;cksetzen, um eine zuverl&auml;ssige Analyse der Useragents zu erhalten.<br>
<br>
Please continue only if you have never partially erased the stored useragents.
If you have erased them, you will have to reset the useragent statistics via the counter administration in order to get a credible useragent analysis.<br>
<br>
<form action="" method="post">
<input type="submit" name="submit" value="ok">
</form>
<?php
}
?>