<?php


/*
 **************************************
 * include/mysql.class.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|25|2003
 * copyright by Christoph Bachner, 2003, 2004
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/



class chC_mysql
{

	var $query_result;
	var $statement;
	var $connection_id;
	var $queries = 0;
	var $accepted_errors = "";


	function chC_mysql($db_server, $db_user, $db_passwort, $db_database)
	{
		$this->connection_id = @mysql_connect($db_server, $db_user, $db_passwort) OR $this->display_error();
		@mysql_select_db($db_database) OR $this->display_error();
	}


	function display_error($statement = false)
	{
		print "<b>SQL-Fehler!</b><br>\n";
		if($statement != false)
		{
			print "SQL query:<br>\n"
			     ."<ul style=\"margin-top:5px; margin-bottom:5px\">\n"
			     ."<li><i>".$statement."</i></li>\n"
			     ."</ul>\n<br>\n";
		}
		print "MySQL error: ".mysql_errno()."<br>\n".mysql_error()."\n";
		die("<br>\n<br>\n<i>-&gt; Script beendet.</i>");
	}


	function set_accepted_errors($errors)
	{
		if(!is_string($errors))
			return false;
		$this->accepted_errors = $errors;
		return true;
	}


	function query($statement)
	{
		$this->query_result = @mysql_query($statement, $this->connection_id);
		$this->queries++;
		if(mysql_errno())
		{
			if(ereg(mysql_errno(), $this->accepted_errors))
				return false;
			$this->display_error($statement);
		}
		return $this->query_result;
	}



	function fetch_array($query_result = false, $multidimensional = false)
	{
		if($query_result == false)
		{
			$query_result = $this->query_result;
		}

		if($multidimensional != 'multiple')
		{
			return @mysql_fetch_array($query_result);
		}
		else
		{
			$array = array();
			for($i = 0; $i < @mysql_num_rows($query_result); $i++)
			{
				$array[$i] = @mysql_fetch_array($query_result);
			}
			return $array;
		}
	}

	function fetch_assoc($query_result = false, $multidimensional = false)
	{
		if($query_result == false)
		{
			$query_result = $this->query_result;
		}

		if($multidimensional != 'multiple')
		{
			return @mysql_fetch_assoc($query_result);
		}
		else
		{
			$array = array();
			for($i = 0; $i < @mysql_num_rows($query_result); $i++)
			{
				$array[$i] = @mysql_fetch_assoc($query_result);
			}
			return $array;
		}
	}

	function fetch_row($query_result = false, $multidimensional = false)
	{
		if($query_result == false)
		{
			$query_result = $this->query_result;
		}

		if($multidimensional != 'multiple')
		{
			return @mysql_fetch_row($query_result);
		}
		else
		{
			$array = array();
			for($i = 0; $i < @mysql_num_rows($query_result); $i++)
			{
				$array[$i] = @mysql_fetch_row($query_result);
			}
			return $array;
		}
	}



	function num_rows($query_result = false)
	{
		return ($query_result != false) ? @mysql_num_rows($query_result) : @mysql_num_rows($this->query_result);
	}


	function insert_id()
	{
		return @mysql_insert_id();
	}


	function affected_rows()
	{
		return @mysql_affected_rows();
	}


	function get_number_of_queries()
	{
		return $this->queries;
	}


	function close()
	{
		return @mysql_close($this->connection_id);
	}

}

?>