<?php

/*
 **************************************
 * /install.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|25|2004
 * (c) 2003, 2004 by Christoph Bachner
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/


error_reporting(E_ALL);
$script_version = 230;


$lang = array();
//
// lang_de
//
$lang['de']['installations_schritt_nr'] = "Installations-Schritt Nr.";
$lang['de']['willkommen'] = "Willkommen zur <i>chCounter v2.3</i> - Installation!";
$lang['de']['db_tabellen_erstellung'] = "Im Folgenden werden unter anderem die Datenbank-Tabellen erstellt.";
$lang['de']['loeschen_von_alten_tabellen'] = "<i>Achtung:</i> wenn die Tabellen schon existieren, werden sie unwiderruflich gel&ouml;scht!";
$lang['de']['daten_richtig'] = "Sind diese Daten richtig? Falls nein, korrigiere sie bitte.";
$lang['de']['verzeichnis'] = "Pfad zum Counterverzeichnis vom Homepage-Stammverzeichnis:";
$lang['de']['url_hp'] = "URL deiner Homepage:";
$lang['de']['lang'] = "Sprache";
$lang['de']['deutsch'] = "Deutsch";
$lang['de']['englisch'] = "Englisch";
$lang['de']['benutzername_passwort'] = "Gib jetzt deinen Benutzernamen, deine Email-Adresse und das Passwort ein,";
$lang['de']['verwendung_benutzername_passwort'] = "mit dem du dich dann in der Counter-Administration einloggen kannst.";
$lang['de']['benutzername'] = "Benutzername:";
$lang['de']['email_adresse'] = "Email-Adresse (f&uuml;r den Fall, dass du das Passwort verlieren solltest):";
$lang['de']['passwort'] = "Passwort:";
$lang['de']['passwort2'] = "Passwort: (Wiederholung)";
$lang['de']['weiter'] = "weiter";
$lang['de']['zurueck'] = "zur&uuml;ck";
$lang['de']['url_hp__ohne_slash'] = "ohne Slash ('/') am Ende angeben";
$lang['de']['url_hp__umleitung'] = "Solltest du eine Umleitung (z.B. <i>*.de.vu</i>) besitzen und von dort aus auf deine Homepage weiterleiten,<br>&nbsp;&nbsp; so gib bitte nicht die URL der Umleitung an, sondern die tatschliche URL deiner Homepage-Dateien.";
$lang['de']['fehler_feld_leer'] = "Du hast nicht alle Felder vollst&auml;ndig / korrekt ausgef&uuml;llt!";
$lang['de']['fehler_ueberpruefe_zugangsdaten'] = "Bitte berpr&uuml;fe die Zugangsdaten in der Datei <i>config.inc.php</i>.";
$lang['de']['fehler_dbverbindung'] = "<b>Fehler</b></span> bei der Herstellung einer Verbindung zur Datenbank!";
$lang['de']['dbverbindung_erfolgreich'] = "Verbindung zur Datenbank erfolgreich hergestellt.";
$lang['de']['fehler'] = "<span style=\"color: #FF0000\"><b>Fehler</b></span>";
$lang['de']['tabellen_erstellung'] = " bei der Erstellung der ";
$lang['de']['fehler_tabelle_config'] = "Konfigurations - Tabelle!";
$lang['de']['fehler_tabelle_data'] = "Counter-Werte - Tabelle!";
$lang['de']['fehler_tabelle_log_data'] = "Besucherdaten - Tabelle!";
$lang['de']['fehler_tabelle_useronline'] = "Online-User - Tabelle!";
$lang['de']['fehler_tabelle_blockedusers'] = "Tabelle f&uuml;r die zu blockenden Besucher!";
$lang['de']['fehler_tabelle_referers'] = "Referer - Tabelle!";
$lang['de']['fehler_tabelle_countries'] = "L&auml;nderstatistik - Tabelle!";
$lang['de']['fehler_tabelle_useragents'] = "User-Agent - Tabelle!";
$lang['de']['fehler_tabelle_pages'] = "Seitenstatistik - Tabelle!";
$lang['de']['fehler_tabelle_access'] = "Zugriffsstatistik - Tabelle!";
$lang['de']['fehler_tabelle_resolutions'] = "Aufl&ouml;sungen - Tabelle!";
$lang['de']['fehler_tabelle_searchwords'] = "Suchw&ouml;rter - Tabelle!";
$lang['de']['tabellen_erfolgreich_erstellt'] = "Die Tabellen wurden erstellt.";
$lang['de']['fehler_eintrag_konfiguration'] = "beim Eintragen der Konfiguration in die Datenbank.";
$lang['de']['konfiguration_erfolgreich_eingetragen'] = "Konfiguration erfolgreich eingetragen.";
$lang['de']['fehler_eintrag_startwerte'] = "beim Eintragen der Startwerte in die Datenbank!";
$lang['de']['startwerte_erfolgreich_eingetragen'] = "Startwerte erfolgreich eingetragen.";
$lang['de']['installation_erfolgreich'] = "Die Installation wurde <b>erfolreich abgeschlossen</b>!";
$lang['de']['administration_login'] = "Du kannst dich jetzt in der <a href=\"administration/index.php\" style=\"text-decoration: underline\">Administration</a> einloggen.";
$lang['de']['wichtig'] = "Wichtig:";
$lang['de']['chmod_zurueck'] = "Bitte die Datei <i>install.php</i> jetzt unbedingt l&ouml;schen!";


//
// lang_en
//
$lang['en']['installations_schritt_nr'] = "Installation step # ";
$lang['en']['willkommen'] = "Welcome to the <i>chCounter v2.3</i> - installation!";
$lang['en']['db_tabellen_erstellung'] = "Now the database tables will be created.";
$lang['en']['loeschen_von_alten_tabellen'] = "<i>Attention:</i> if the tables already exist, the old tables will be deleted!";
$lang['en']['daten_richtig'] = "Is this data true? If not, please correct it.";
$lang['en']['verzeichnis'] = "Path to the counter directory from your homepage root:";
$lang['en']['url_hp'] = "URL of your webseite:";
$lang['en']['lang'] = "Language:";
$lang['en']['deutsch'] = "German";
$lang['en']['englisch'] = "English";
$lang['en']['benutzername_passwort'] = "Enter now your username and password for the administration area.";
$lang['en']['verwendung_benutzername_passwort'] = "";
$lang['en']['benutzername'] = "Name:";
$lang['en']['email_adresse'] = "Email-address (needed if you have lost your password):";
$lang['en']['passwort'] = "Password:";
$lang['en']['passwort2'] = "Password: (repetition)";
$lang['en']['weiter'] = "continue";
$lang['en']['zurueck'] = "back";
$lang['en']['url_hp__ohne_slash'] = "without a slash ('/') at the end";
$lang['en']['url_hp__umleitung'] = "Please enter the real URL of your homepage and not the URL of a rerouting URL like \"*.de.vu\", if existent.";
$lang['en']['fehler_feld_leer'] = "Please fill in each field!";
$lang['en']['fehler_ueberpruefe_zugangsdaten'] = "Please check the mysql access data in the file <i>config.inc.php</i>.";
$lang['en']['fehler_dbverbindung'] = "<b>Error:</b></span> Could not create a database connection!";
$lang['en']['dbverbindung_erfolgreich'] = "Database connection succesfully created.";
$lang['en']['fehler'] = "<span style=\"color: #FF0000\"><b>Error</b></span>";
$lang['en']['tabellen_erstellung'] = " Could not create the ";
$lang['en']['fehler_tabelle_config'] = "config table!";
$lang['en']['fehler_tabelle_data'] = "data table!";
$lang['en']['fehler_tabelle_log_data'] = "log data table!";
$lang['en']['fehler_tabelle_useronline'] = "online user table!";
$lang['en']['fehler_tabelle_blockedusers'] = "table for the blocked users!";
$lang['en']['fehler_tabelle_referers'] = "referer table!";
$lang['en']['fehler_tabelle_countries'] = "country table!";
$lang['en']['fehler_tabelle_useragents'] = "user-agent table!";
$lang['en']['fehler_tabelle_pages'] = "pages statistics table!";
$lang['en']['fehler_tabelle_access'] = "access statistics table!";
$lang['en']['fehler_tabelle_resolutions'] = "resolutions table!";
$lang['en']['fehler_tabelle_searchwords'] = "searched words table!";
$lang['en']['tabellen_erfolgreich_erstellt'] = "Tables were successfully created.";
$lang['en']['fehler_eintrag_konfiguration'] = "while inserting the configuration:";
$lang['en']['konfiguration_erfolgreich_eingetragen'] = "Configuration inserted.";
$lang['en']['fehler_eintrag_startwerte'] = "while inserting the start data!";
$lang['en']['startwerte_erfolgreich_eingetragen'] = "Start data added.";
$lang['en']['installation_erfolgreich'] = "The installation has <b>finished</b>!";
$lang['en']['administration_login'] = "Now you can log into the <a href=\"administration/index.php\" style=\"text-decoration: underline\">administration</a>.";
$lang['en']['wichtig'] = "Important:";
$lang['en']['chmod_zurueck'] = "Please delete now the file <i>install.php</i>!";


require_once("include/config.inc.php");
if(!isset($HTTP_POST_VARS['schritt']))
   {
   $HTTP_POST_VARS['schritt'] = "0";
   }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>chCounter v2.3 - Installation</title>
<meta name="author" content="Christoph Bachner">
<style type="text/css">
<!--
body, textarea
  {
  color: #000000;
  font-family: Verdana, Arial, Helvetica;
  font-size: 10pt;
  background-color: #E5E5E5;
  }
table
  {
  text-align: left;
  }
td
  {
  color: #000000;
  font-family: Verdana, Arial, Helvetica;
  font-size: 8pt;
  padding: 0px;
  padding-left: 8px;
  }

h1
  {
  margin:0px;
  font-size: 8pt;
  }

A:link
   {
   text-decoration: none;
   color: #000000;
   }

A:active
   {
   text-decoration: none;
   color: #000000;
   }

A:visited
   {
   text-decoration: none;
   color: #000000;
   }

A:hover, A:focus
   {
   text-decoration: none;
   color: #000000;
   }
-->
</style>
</head>
<body>
<div align="center">
<table bgcolor="FFFFFF" width="650" border="0" style="border: 1px solid #000000;" cellspacing="0" cellpadding="0">
 <tr>
  <td bgcolor="#006699" style="border-bottom:1px solid #000000; height:20px; color:#D3DDEB"><h1><a href="<?php echo $_SERVER['PHP_SELF']; ?>" style="color:#D3DDEB">chCounter v2.3 - Installation</a></h1></td>
 </tr>
 <tr>
  <td bgcolor="#FFFFFF" style="padding:10px">
  <div align="center"><?php if($HTTP_POST_VARS['schritt'] !== "0") echo $lang[$HTTP_POST_VARS['lang']]['installations_schritt_nr']." ".$HTTP_POST_VARS['schritt']; ?></div>
  <br>
  <br>
<?php
if($HTTP_POST_VARS['schritt'] == "0") {
      echo $lang['de']['willkommen']." | ".$lang['en']['willkommen']."<br>\n<br>\n";
      ?>
Whrend der Installation zu benutzende Sprache: / language to use during the installation:<br>
<br>
<div align="center">
<form method="post">
<input type="hidden" name="schritt" value="1">
<select name="lang">
 <option value="de">Deutsch</option>
 <option value="en">English</option>
</select>
<input type="submit" value="ok">
</form>
</div>
      <?php
}elseif($HTTP_POST_VARS['schritt'] == "1") {
      $verzeichnis = (!isset($HTTP_POST_VARS['verzeichnis'])) ? dirname($HTTP_SERVER_VARS['PHP_SELF']) : $HTTP_POST_VARS['verzeichnis'];
      $url_hp = (!isset($HTTP_POST_VARS['url_hp'])) ? "http://".$HTTP_SERVER_VARS['SERVER_NAME'] : $HTTP_POST_VARS['url_hp'];
      ?>
      <br>
      <br>
      <?php echo $lang[$HTTP_POST_VARS['lang']]['db_tabellen_erstellung']; ?>
      <br>
      <?php echo $lang[$HTTP_POST_VARS['lang']]['loeschen_von_alten_tabellen']; ?>
      <br>
      <br><br><br><br>
      <?php echo $lang[$HTTP_POST_VARS['lang']]['daten_richtig']; ?>
      <br>
      <form action="" method="post">
      <table border="0">
       <tr>
        <td><?php echo $lang[$HTTP_POST_VARS['lang']]['verzeichnis']; ?></td>
        <td><input type="text" name="verzeichnis" value="<?php echo $verzeichnis; ?>" size="30" <?php if(isset($HTTP_POST_VARS['fehler_verzeichnis'])) echo "style=\"border: 1px solid #FF0000\""; ?>></td>
       </tr>
       <tr>
        <td><?php echo $lang[$HTTP_POST_VARS['lang']]['url_hp']; ?>*</td>
        <td><input type="text" name="url_hp" value="<?php echo $url_hp; ?>" size="30" <?php if(isset($HTTP_POST_VARS['fehler_url_hp'])) echo "style=\"border: 1px solid #FF0000\""; ?>></td>
       </tr>
      </table>
      <br>
      <br>
      <br>
      <?php echo $lang[$HTTP_POST_VARS['lang']]['benutzername_passwort']; ?><br>
      <?php echo $lang[$HTTP_POST_VARS['lang']]['verwendung_benutzername_passwort']; ?><br>
      <br>
      <table border="0" width="400">
       <tr>
        <td><?php echo $lang[$HTTP_POST_VARS['lang']]['lang']; ?></td>
        <td>
         <select name="lang">
          <option value="de" <?php if($HTTP_POST_VARS['lang'] == "de") echo "selected"; ?>><?php echo $lang[$HTTP_POST_VARS['lang']]['deutsch']; ?></option>
          <option value="en" <?php if($HTTP_POST_VARS['lang'] == "en") echo "selected"; ?>><?php echo $lang[$HTTP_POST_VARS['lang']]['englisch']; ?></option>
         </select>
        </td>
       </tr>
       <tr>
        <td><?php echo $lang[$HTTP_POST_VARS['lang']]['benutzername']; ?></td>
        <td><input type="text" name="name" value="<?php if(isset($HTTP_POST_VARS['name'])) { echo $HTTP_POST_VARS['name']; } ?>" <?php if(isset($HTTP_POST_VARS['fehler_name'])) echo "style=\"border: 1px solid #FF0000\""; ?>></td>
       </tr>
       <tr>
        <td><?php echo $lang[$HTTP_POST_VARS['lang']]['email_adresse']; ?></td>
        <td><input type="text" name="email" value="<?php if(isset($HTTP_POST_VARS['email'])) { echo $HTTP_POST_VARS['email']; } ?>" <?php if(isset($HTTP_POST_VARS['fehler_email'])) echo "style=\"border: 1px solid #FF0000\""; ?>></td>
       </tr>
       <tr>
        <td><?php echo $lang[$HTTP_POST_VARS['lang']]['passwort']; ?></td>
        <td><input type="password" name="passwort" <?php if(isset($HTTP_POST_VARS['fehler_passwort'])) echo "style=\"border: 1px solid #FF0000\""; ?>></td>
       </tr>
       <tr>
        <td><?php echo $lang[$HTTP_POST_VARS['lang']]['passwort2']; ?></td>
        <td><input type="password" name="passwort2" <?php if(isset($HTTP_POST_VARS['fehler_passwort'])) echo "style=\"border: 1px solid #FF0000\""; ?>></td>
       </tr>
       <tr>
        <td colspan="2">
         <br>
         <input type="hidden" name="schritt" value="2">
         <input type="hidden" name="lang" value="<?php echo $HTTP_POST_VARS['lang']; ?>">
         <input type="submit" value="&gt;&gt; <?php echo $lang[$HTTP_POST_VARS['lang']]['weiter']; ?>">
        </td>
       </tr>
      </table>
      </form>
      <br>
      <br>
      * - <?php echo $lang[$HTTP_POST_VARS['lang']]['url_hp__ohne_slash']; ?><br>
      &nbsp;&nbsp; - <?php echo $lang[$HTTP_POST_VARS['lang']]['url_hp__umleitung']; ?>
<?php
} elseif($HTTP_POST_VARS['schritt'] == "2") {
      settype($fehler, "string");
      if(empty($HTTP_POST_VARS['name'])) $fehler .= "\n<input type=\"hidden\" name=\"fehler_name\" value=\"1\">";
      if(empty($HTTP_POST_VARS['passwort']) OR empty($HTTP_POST_VARS['passwort2']) OR $HTTP_POST_VARS['passwort'] !== $HTTP_POST_VARS['passwort2']) $fehler .= "\n<input type=\"hidden\" name=\"fehler_passwort\" value=\"1\">";
      if(empty($HTTP_POST_VARS['verzeichnis'])) $fehler .= "\n<input type=\"hidden\" name=\"fehler_verzeichnis\" value=\"1\">";
      if(empty($HTTP_POST_VARS['url_hp'])) $fehler .= "\n<input type=\"hidden\" name=\"fehler_url_hp\" value=\"1\">";
      if(empty($HTTP_POST_VARS['email']) OR !ereg("^[_a-zA-Z0-9-](\.{0,1}[_a-zA-Z0-9-])*@([a-zA-Z0-9-]{2,}\.){0,}[a-zA-Z0-9-]{3,}(\.[a-zA-Z]{2,4}){1,2}$", $HTTP_POST_VARS['email'])) $fehler .= "\n<input type=\"hidden\" name=\"fehler_email\" value=\"1\">";

      if(!empty($fehler)) {
             echo "- ".$lang[$HTTP_POST_VARS['lang']]['fehler_feld_leer']."
                     <br>
                     <form action=\"\" method=\"post\">".$fehler."
                     <input type=\"hidden\" name=\"schritt\" value=\"1\">
                     <input type=\"hidden\" name=\"lang\" value=\"".$HTTP_POST_VARS['lang']."\">
                     <input type=\"hidden\" name=\"name\" value=\"".$HTTP_POST_VARS['name']."\">
                     <input type=\"hidden\" name=\"email\" value=\"".$HTTP_POST_VARS['email']."\">
                     <input type=\"hidden\" name=\"verzeichnis\" value=\"".$HTTP_POST_VARS['verzeichnis']."\">
                     <input type=\"hidden\" name=\"url_hp\" value=\"".$HTTP_POST_VARS['url_hp']."\">
                     <input type=\"submit\" value=\"&lt;&lt; ".$lang[$HTTP_POST_VARS['lang']]['zurueck']."\">
                     </form>";

      } else {

             # db-verbindung, tabellen + daten
             $dbverbindung = @mysql_connect($GLOBALS['chC']['dbconfig']['server'], $GLOBALS['chC']['dbconfig']['user'], $GLOBALS['chC']['dbconfig']['passwort']);
             @mysql_select_db($GLOBALS['chC']['dbconfig']['database'], $dbverbindung);
             if(mysql_error()) {
                    echo "- <span style=\"color: #FF0000\">".$lang[$HTTP_POST_VARS['lang']]['fehler_dbverbindung']."
                          <br>&nbsp;&nbsp;&nbsp;<i>".mysql_error()."</i>
                          <br>
                          &nbsp;&nbsp;".$lang[$HTTP_POST_VARS['lang']]['fehler_ueberprufe_zugangsdaten']."
                          <br>";
                          $connect_error = true;
             } else {
                    echo "- ".$lang[$HTTP_POST_VARS['lang']]['dbverbindung_erfolgreich']."<br>";

                    $query_create_chCounter_dbtable_config = "CREATE TABLE `".$GLOBALS['chC']['dbconfig']['table_config']."` (
                                                                blockzeit int(14) NOT NULL default 0,
                                                                eintraege_loeschen_nach int(14) NOT NULL default 0,
                                                                einheit_eintraege_loeschen_nach varchar(255) NOT NULL default '',
                                                                user_online_fuer int(14) NOT NULL default 0,
                                                                admin_name varchar(255) NOT NULL default '',
                                                                admin_email varchar(255) NOT NULL default '',
                                                                admin_passwort varchar(255) NOT NULL default '',
                                                                url_hp varchar(255) NOT NULL default '',
                                                                verzeichnis varchar(255) NOT NULL default '',
                                                                anzahl_pro_logseite int(11) NOT NULL default 0,
                                                                anzahl_referer int(14) NOT NULL default 0,
                                                                anzahl_refdomains int(14) NOT NULL default 0,
                                                                show_onlineuser_ip int(14) NOT NULL default 0,
                                                                anzahl_stats_seiten int(14) NOT NULL default 0,
                                                                anzahl_useragents int(14) NOT NULL default 0,
                                                                anzahl_stats_countries int(14) NOT NULL default 0,
                                                                anzahl_aufloesungen int(14) NOT NULL default 0,
                                                                anzahl_suchwoerter int(14) NOT NULL default 0,
                                                                cookie int(14) NOT NULL default 0,
                                                                stats_ignore_counterfile int(1) NOT NULL default 0,
                                                                stats_ignore_counterfiles int(1) NOT NULL default 0,
                                                                datum_format varchar(255) NOT NULL default '',
                                                                zeitzone varchar(255) NOT NULL default '',
                                                                lang varchar(255) NOT NULL default '',
                                                                stats_seiten_search_title int(1) NOT NULL default 0,
                                                                activate_besucherdaten int(1) NOT NULL default 0,
                                                                activate_referer int(1) NOT NULL default 0,
                                                                activate_useragents int(1) NOT NULL default 0,
                                                                activate_countries int(1) NOT NULL default 0,
                                                                activate_seiten int(1) NOT NULL default 0,
                                                                activate_aufloesung int(1) NOT NULL default '0',
                                                                activate_tage int(1) NOT NULL default 0,
                                                                activate_monate int(1) NOT NULL default 0,
                                                                activate_suchwoerter int(1) NOT NULL default 0,
                                                                activate_js int(1) NOT NULL default 0,
					activate_tageszeit_tag int(1) NOT NULL default 0,
					ignored_referers MEDIUMTEXT NOT NULL default '',
					script_version int(3) NOT NULL default 0,
					block_bots int(1) NOT NULL default 0
                                                              ) TYPE=MyISAM;";


                    $query_create_chCounter_dbtable_data = "CREATE TABLE `".$GLOBALS['chC']['dbconfig']['table_data']."` (
                                                              besucher_gesamt int(14) NOT NULL default 0,
                                                              besucher_heute int(14) NOT NULL default 0,
                                                              heute_timestamp int(14) NOT NULL default 0,
                                                              besucher_gestern int(14) NOT NULL default 0,
                                                              max_online int(14) NOT NULL default 0,
                                                              max_online_datum int(14) NOT NULL default 0,
                                                              max_per_day int(14) NOT NULL default 0,
                                                              max_per_day_datum int(14) NOT NULL default 0,
                                                              hits_gesamt int(14) NOT NULL default 0,
                                                              hits_heute int(14) NOT NULL default 0,
                                                              hits_gestern int(14) NOT NULL default 0,
                                                              besucher_hits_pro_besucher int(14) NOT NULL default 0,
                                                              hits_hits_pro_besucher int(14) NOT NULL default 0,
                                                              besucher_seit_counterstart int(14) NOT NULL default 0,
							     hits_seit_counterstart int(14) NOT NULL default 0,
                                                              counterstart int(1) NOT NULL default 0,
							     js_alle int(14) NOT NULL default 0,
							     js_aktiv int(14) NOT NULL default 0
                                                            ) TYPE=MyISAM;";

                    $query_create_chCounter_dbtable_log_data = "CREATE TABLE `".$GLOBALS['chC']['dbconfig']['table_log_data']."` (
                                                                nr int(14) NOT NULL default '0',
                                                                ip varchar(255) NOT NULL default '',
                                                                host varchar(255) NOT NULL default '',
                                                                useragent varchar(255) NOT NULL default '',
                                                                zeit varchar(255) NOT NULL default '',
                                                                referer varchar(255) NOT NULL default '',
                                                                hits int(14) NOT NULL default 0,
                                                                seiten TEXT NOT NULL
                                                              ) TYPE=MyISAM;";

                    $query_create_chCounter_dbtable_onlineusers = "CREATE TABLE `".$GLOBALS['chC']['dbconfig']['table_onlineusers']."` (
                                                                    nr int(14) NOT NULL default 0,
                                                                    ip varchar(255) NOT NULL default '',
                                                                    useragent varchar(255) NOT NULL default '',
                                                                    zeit varchar(255) NOT NULL default '',
                                                                    seite varchar(255) NOT NULL default '',
                                                                    hits int(14) NOT NULL default 0
                                                                  ) TYPE=MyISAM;";

                    $query_create_chCounter_dbtable_blockedusers =  "CREATE TABLE `".$GLOBALS['chC']['dbconfig']['table_blockedusers']."` (
                                                                      nr int(14) NOT NULL default 0,
                                                                      ip varchar(255) NOT NULL default '',
                                                                      useragent varchar(255) NOT NULL default '',
                                                                      zeit varchar(255) NOT NULL default '',
                                                                      hits int(14) NOT NULL default 0
                                                                    ) TYPE=MyISAM;";


                    $query_create_chCounter_dbtable_useragents = "CREATE TABLE `".$GLOBALS['chC']['dbconfig']['table_useragents']."` (
                                                                    was varchar(255) NOT NULL default '',
                                                                    typ varchar(255) NOT NULL default '',
                                                                    datum int(14) NOT NULL default '',
                                                                    anzahl int(14) NOT NULL default 0
                                                                  ) TYPE=MyISAM;";

                    $query_create_chCounter_dbtable_access = "CREATE TABLE `".$GLOBALS['chC']['dbconfig']['table_access']."` (
                                                              was varchar(255) NOT NULL default '',
                                                              timestamp int(14) NOT NULL default 0,
                                                              besucher int(14) NOT NULL default 0,
                                                              hits int(14) NOT NULL default 0
                                                            ) TYPE=MyISAM;";


                    $query_create_chCounter_dbtable_pages = "CREATE TABLE `".$GLOBALS['chC']['dbconfig']['table_pages']."` (
                                                                seite varchar(255) NOT NULL default '',
                                                                titel varchar(255) NOT NULL default '',
                                                                datum int(14) NOT NULL default 0,
                                                                anzahl int(14) NOT NULL default 0,
                                                                UNIQUE KEY `".$GLOBALS['chC']['dbconfig']['table_pages']."` (`seite`)
                                                              ) TYPE=MyISAM;";


                    $query_create_chCounter_dbtable_referers = "CREATE TABLE `".$GLOBALS['chC']['dbconfig']['table_referers']."` (
                                                                 was varchar (255) NOT NULL default '',
                                                                 referer varchar(255) NOT NULL default '',
                                                                 datum int(14) NOT NULL default 0,
                                                                 anzahl int(14) NOT NULL default 0,
                                                                 UNIQUE KEY `".$GLOBALS['chC']['dbconfig']['table_referers']."` (`referer`)
                                                               ) TYPE=MyISAM;";

                    $query_create_chCounter_dbtable_countries = "CREATE TABLE `".$GLOBALS['chC']['dbconfig']['table_countries']."` (
                                                                   land varchar(255) NOT NULL default '',
                                                                   anzahl int(14) NOT NULL default 0
                                                                 ) TYPE=MyISAM";


                    $query_create_chCounter_dbtable_resolutions = "CREATE TABLE `".$GLOBALS['chC']['dbconfig']['table_resolutions']."` (
                                                                     `aufloesung` varchar(255) NOT NULL default '',
                                                                     `anzahl` int(14) NOT NULL default 0,
                                                                     UNIQUE KEY `".$GLOBALS['chC']['dbconfig']['table_resolutions']."` (`aufloesung`)
                                                                    ) TYPE=MyISAM";


                    $query_create_chCounter_dbtable_searchwords = "CREATE TABLE `".$GLOBALS['chC']['dbconfig']['table_searchwords']."` (
  								   suchwoerter varchar(255) NOT NULL default '',
  								   anzahl int(14) NOT NULL default 0,
								   datum int(14) NOT NULL default 0,
  								   UNIQUE KEY `".$GLOBALS['chC']['dbconfig']['table_searchwords']."` (`suchwoerter`)
								  ) TYPE=MyISAM";


                    @mysql_query("DROP TABLE IF EXISTS `".$GLOBALS['chC']['dbconfig']['table_config']."`");
                    @mysql_query($query_create_chCounter_dbtable_config);
                    if(mysql_error()) {
                           echo "- <span style=\"color: #FF0000\">".$lang[$HTTP_POST_VARS['lang']]['fehler'].$lang[$HTTP_POST_VARS['lang']]['tabellen_erstellung'].$lang[$HTTP_POST_VARS['lang']]['fehler_tabelle_config']."<br>
                                 &nbsp;&nbsp;&nbsp;<i>".mysql_error()."</i><br>";
                           $createtableerror = "1";
                    }

                    @mysql_query("DROP TABLE IF EXISTS `".$GLOBALS['chC']['dbconfig']['table_data']."`");
                    @mysql_query($query_create_chCounter_dbtable_data);
                    if(mysql_error()) {
                           echo "- ".$lang[$HTTP_POST_VARS['lang']]['fehler'].$lang[$HTTP_POST_VARS['lang']]['tabellen_erstellung'].$lang[$HTTP_POST_VARS['lang']]['fehler_tabelle_data']."<br>
                                 &nbsp;&nbsp;&nbsp;<i>".mysql_error()."</i><br>";
                           $createtableerror = "1";
                    }

                    @mysql_query("DROP TABLE IF EXISTS `".$GLOBALS['chC']['dbconfig']['table_log_data']."`");
                    @mysql_query($query_create_chCounter_dbtable_log_data);
                    if(mysql_error()) {
                           echo "- <span style=\"color: #FF0000\">".$lang[$HTTP_POST_VARS['lang']]['fehler'].$lang[$HTTP_POST_VARS['lang']]['tabellen_erstellung'].$lang[$HTTP_POST_VARS['lang']]['fehler_tabelle_log_data']."<br>
                                 &nbsp;&nbsp;&nbsp;<i>".mysql_error()."</i><br>";
                    $createtableerror = "1";
                    }

                    @mysql_query("DROP TABLE IF EXISTS `".$GLOBALS['chC']['dbconfig']['table_onlineusers']."`");
                    @mysql_query($query_create_chCounter_dbtable_onlineusers);
                    if(mysql_error()) {
                           echo "- <span style=\"color: #FF0000\">".$lang[$HTTP_POST_VARS['lang']]['fehler'].$lang[$HTTP_POST_VARS['lang']]['tabellen_erstellung'].$lang[$HTTP_POST_VARS['lang']]['fehler_tabelle_useronline']."<br>
                                 &nbsp;&nbsp;&nbsp;<i>".mysql_error()."</i><br>";
                           $createtableerror = "1";
                    }

                    @mysql_query("DROP TABLE IF EXISTS `".$GLOBALS['chC']['dbconfig']['table_blockedusers']."`");
                    @mysql_query($query_create_chCounter_dbtable_blockedusers);
                    if(mysql_error()) {
                           echo "- <span style=\"color: #FF0000\">".$lang[$HTTP_POST_VARS['lang']]['fehler'].$lang[$HTTP_POST_VARS['lang']]['tabellen_erstellung'].$lang[$HTTP_POST_VARS['lang']]['fehler_tabelle_blockedusers']."<br>
                                 &nbsp;&nbsp;&nbsp;<i>".mysql_error()."</i><br>";
                           $createtableerror = "1";
                    }

                    @mysql_query("DROP TABLE IF EXISTS `".$GLOBALS['chC']['dbconfig']['table_referers']."`");
                    @mysql_query($query_create_chCounter_dbtable_referers);
                    if(mysql_error()) {
                           echo "- ".$lang[$HTTP_POST_VARS['lang']]['fehler'].$lang[$HTTP_POST_VARS['lang']]['tabellen_erstellung'].$lang[$HTTP_POST_VARS['lang']]['fehler_tabelle_referers']."<br>
                                 &nbsp;&nbsp;&nbsp;<i>".mysql_error()."</i><br>";
                           $createtableerror = "1";
                    }


                    @mysql_query("DROP TABLE IF EXISTS `".$GLOBALS['chC']['dbconfig']['table_pages']."`");
                    @mysql_query($query_create_chCounter_dbtable_pages);
                    if(mysql_error()) {
                           echo "- ".$lang[$HTTP_POST_VARS['lang']]['fehler'].$lang[$HTTP_POST_VARS['lang']]['tabellen_erstellung'].$lang[$HTTP_POST_VARS['lang']]['fehler_tabelle_pages']."<br>
                                 &nbsp;&nbsp;&nbsp;<i>".mysql_error()."</i><br>";
                           $createtableerror = "1";
                    }


                    @mysql_query("DROP TABLE IF EXISTS `".$GLOBALS['chC']['dbconfig']['table_access']."`");
                    @mysql_query($query_create_chCounter_dbtable_access);
                    if(mysql_error()) {
                           echo "- ".$lang[$HTTP_POST_VARS['lang']]['fehler'].$lang[$HTTP_POST_VARS['lang']]['tabellen_erstellung'].$lang[$HTTP_POST_VARS['lang']]['fehler_tabelle_access']."<br>
                                 &nbsp;&nbsp;&nbsp;<i>".mysql_error()."</i><br>";
                           $createtableerror = "1";
                    }


                    @mysql_query("DROP TABLE IF EXISTS `".$GLOBALS['chC']['dbconfig']['table_useragents']."`");
                    @mysql_query($query_create_chCounter_dbtable_useragents);
                    if(mysql_error()) {
                           echo "- ".$lang[$HTTP_POST_VARS['lang']]['fehler'].$lang[$HTTP_POST_VARS['lang']]['tabellen_erstellung'].$lang[$HTTP_POST_VARS['lang']]['fehler_tabelle_useragents']."<br>
                                 &nbsp;&nbsp;&nbsp;<i>".mysql_error()."</i><br>";
                           $createtableerror = "1";
                    }


                    @mysql_query("DROP TABLE IF EXISTS `".$GLOBALS['chC']['dbconfig']['table_countries']."`");
                    @mysql_query($query_create_chCounter_dbtable_countries);
                    if(mysql_error()) {
                           echo "- ".$lang[$HTTP_POST_VARS['lang']]['fehler'].$lang[$HTTP_POST_VARS['lang']]['tabellen_erstellung'].$lang[$HTTP_POST_VARS['lang']]['fehler_tabelle_countries']."<br>
                                 &nbsp;&nbsp;&nbsp;<i>".mysql_error()."</i><br>";
                           $createtableerror = "1";
                    }

                    @mysql_query("DROP TABLE IF EXISTS `".$GLOBALS['chC']['dbconfig']['table_resolutions']."`");
                    @mysql_query($query_create_chCounter_dbtable_resolutions);
                    if(mysql_error()) {
                           echo "- ".$lang[$HTTP_POST_VARS['lang']]['fehler'].$lang[$HTTP_POST_VARS['lang']]['tabellen_erstellung'].$lang[$HTTP_POST_VARS['lang']]['fehler_tabelle_resolutions']."<br>
                                 &nbsp;&nbsp;&nbsp;<i>".mysql_error()."</i><br>";
                           $createtableerror = "1";
                    }

                    @mysql_query("DROP TABLE IF EXISTS `".$GLOBALS['chC']['dbconfig']['table_searchwords']."`");
                    @mysql_query($query_create_chCounter_dbtable_searchwords);
                    if(mysql_error()) {
                           echo "- ".$lang[$HTTP_POST_VARS['lang']]['fehler'].$lang[$HTTP_POST_VARS['lang']]['tabellen_erstellung'].$lang[$HTTP_POST_VARS['lang']]['fehler_tabelle_searchwords']."<br>
                                 &nbsp;&nbsp;&nbsp;<i>".mysql_error()."</i><br>";
                           $createtableerror = "1";
                    }


                    if(!isset($createtableerror)) {
                           echo "- ".$lang[$HTTP_POST_VARS['lang']]['tabellen_erfolgreich_erstellt']."<br>";

                           $passwort = md5($HTTP_POST_VARS['passwort']);
                           $zeitzone = ($HTTP_POST_VARS['lang'] == "de") ? "1": "0";
                           $datum_format = ($HTTP_POST_VARS['lang'] == "de") ? "d.m.Y" : "m|d|Y";
                           $insert_config = @mysql_query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_config']."` (blockzeit, eintraege_loeschen_nach, einheit_eintraege_loeschen_nach, user_online_fuer, admin_name, admin_email, admin_passwort, url_hp, verzeichnis, anzahl_pro_logseite, anzahl_referer, anzahl_refdomains, show_onlineuser_ip, anzahl_stats_seiten, anzahl_aufloesungen, anzahl_useragents, anzahl_stats_countries, anzahl_suchwoerter, cookie, stats_ignore_counterfile, stats_ignore_counterfiles, datum_format, zeitzone, lang, stats_seiten_search_title, activate_besucherdaten, activate_referer, activate_useragents, activate_countries, activate_seiten, activate_aufloesung, activate_tage, activate_monate, activate_suchwoerter, activate_js, activate_tageszeit_tag, script_version, block_bots)
                                                                                                            VALUES
                                                                                                           (7200,864000,'d',300,'".$HTTP_POST_VARS['name']."', '".$HTTP_POST_VARS['email']."', '".$passwort."', '".$HTTP_POST_VARS['url_hp']."', '".$HTTP_POST_VARS['verzeichnis']."', 80, 20, 10, 1, 20, 20, 20, 15, 20, 0, 0, 0, '".$datum_format."', '".$zeitzone."','".$HTTP_POST_VARS['lang']."', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, ".$script_version.", 0)");


                           if(mysql_error()) {
                                  $dberror = true;
                                  echo "- ".$lang[$HTTP_POST_VARS['lang']]['fehler']." ".$lang[$HTTP_POST_VARS['lang']]['fehler_eintrag_konfiguration']."
                                        <br>&nbsp;&nbsp;&nbsp;<i>".mysql_error()."</i><br>";
                           } else {
                                  echo "- ".$lang[$HTTP_POST_VARS['lang']]['konfiguration_erfolgreich_eingetragen']."<br>";
                           }



                           @mysql_query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_data']."` (counterstart) VALUES ('".time()."')");
                           if(mysql_error())
                           	$error_startwerte = mysql_error();


                           @mysql_query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_countries']."` (`land`, `anzahl`) VALUES ('gesamt', 0),
                                                                                                                          ('nl', 0),
                                                                                                                          ('gb', 0),
                                                                                                                          ('uk', 0),
                                                                                                                          ('en', 0),
                                                                                                                          ('us', 0),
                                                                                                                          ('et', 0),
                                                                                                                          ('sv', 0),
                                                                                                                          ('ru', 0),
                                                                                                                          ('de', 0),
                                                                                                                          ('ar', 0),
                                                                                                                          ('ca', 0),
                                                                                                                          ('fr', 0),
                                                                                                                          ('be', 0),
                                                                                                                          ('mx', 0),
                                                                                                                          ('es', 0),
                                                                                                                          ('no', 0),
                                                                                                                          ('it', 0),
                                                                                                                          ('fi', 0),
                                                                                                                          ('au', 0),
                                                                                                                          ('at', 0),
                                                                                                                          ('pr', 0),
                                                                                                                          ('ch', 0),
                                                                                                                          ('ve', 0),
                                                                                                                          ('da', 0),
                                                                                                                          ('nz', 0),
                                                                                                                          ('br', 0),
                                                                                                                          ('hk', 0),
                                                                                                                          ('th', 0),
                                                                                                                          ('cl', 0),
                                                                                                                          ('za', 0),
                                                                                                                          ('tw', 0),
                                                                                                                          ('tr', 0),
                                                                                                                          ('cn', 0),
                                                                                                                          ('bg', 0),
                                                                                                                          ('ro', 0),
                                                                                                                          ('hu', 0),
                                                                                                                          ('cs', 0),
                                                                                                                          ('eg', 0),
                                                                                                                          ('sa', 0),
                                                                                                                          ('id', 0),
                                                                                                                          ('lv', 0),
                                                                                                                          ('is', 0),
                                                                                                                          ('hr', 0),
                                                                                                                          ('sl', 0),
                                                                                                                          ('bo', 0),
                                                                                                                          ('li', 0),
                                                                                                                          ('el', 0),
                                                                                                                          ('he', 0);");
                           @mysql_query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_access']."` (timestamp, was) VALUES (0, 'tageszeit_00'),
			  										(0, 'tageszeit_01'),
													(0, 'tageszeit_02'),
													(0, 'tageszeit_03'),
													(0, 'tageszeit_04'),
													(0, 'tageszeit_05'),
													(0, 'tageszeit_06'),
													(0, 'tageszeit_07'),
													(0, 'tageszeit_08'),
													(0, 'tageszeit_09'),
													(0, 'tageszeit_10'),
													(0, 'tageszeit_11'),
													(0, 'tageszeit_12'),
													(0, 'tageszeit_13'),
													(0, 'tageszeit_14'),
													(0, 'tageszeit_15'),
													(0, 'tageszeit_16'),
													(0, 'tageszeit_17'),
													(0, 'tageszeit_18'),
													(0, 'tageszeit_19'),
													(0, 'tageszeit_20'),
													(0, 'tageszeit_21'),
													(0, 'tageszeit_22'),
													(0, 'tageszeit_23'),
													(0, 'tag_Sun'),
													(0, 'tag_Mon'),
													(0, 'tag_Tue'),
													(0, 'tag_Wed'),
													(0, 'tag_Thu'),
													(0, 'tag_Fri'),
													(0, 'tag_Sat'),
													(".time().", 'tageszeit_tag_start')");


                           if(mysql_error() || isset($error_startwerte)) {
                                  $dberror = true;
                                  $_error = (mysql_error()) ? mysql_error() : $error_startwerte;
                                  echo "- ".$lang[$HTTP_POST_VARS['lang']]['tabellen_fehler']." ".$lang[$HTTP_POST_VARS['lang']]['fehler_eintrag_startwerte']."
                                        <br>&nbsp;&nbsp;&nbsp;<i>".$_error."</i><br>";
                           } else {
                                  echo "- ".$lang[$HTTP_POST_VARS['lang']]['startwerte_erfolgreich_eingetragen']."<br>";
                           }

                    }
             } // /dbverbindung erfolreich

             if(!isset($connect_error) && !isset($createtableerror) && !isset($dberror) && !isset($writefileerror)) {
                    echo "<br>
                          <br>
                          ".$lang[$HTTP_POST_VARS['lang']]['installation_erfolgreich']."<br>
                          ".$lang[$HTTP_POST_VARS['lang']]['administration_login']."<br>
                          <br>
                          ".$lang[$HTTP_POST_VARS['lang']]['wichtig']."<br>
                          ".$lang[$HTTP_POST_VARS['lang']]['chmod_zurueck']."<br>
                          <br>";
             } else {
                    echo "<br>
                          <form action=\"\" method=\"post\">
                          <input type=\"hidden\" name=\"schritt\" value=\"1\">
                          <input type=\"hidden\" name=\"lang\" value=\"".$HTTP_POST_VARS['lang']."\">
                          <input type=\"hidden\" name=\"name\" value=\"".$HTTP_POST_VARS['name']."\">
                          <input type=\"hidden\" name=\"email\" value=\"".$HTTP_POST_VARS['email']."\">
                          <input type=\"hidden\" name=\"verzeichnis\" value=\"".$HTTP_POST_VARS['verzeichnis']."\">
                          <input type=\"hidden\" name=\"url_hp\" value=\"".$HTTP_POST_VARS['url_hp']."\">
                          <input type=\"submit\" value=\"&lt;&lt; ".$lang[$HTTP_POST_VARS['lang']]['zurueck']."\">
                          </form>";
             }
      }
}
?>
  </td>
 </tr>
 <tr>
  <td bgcolor="#006699" style="border-top:1px solid #000000; height:20px; color:#D3DDEB; padding-right:10px" align="right"><h1>(c) by <a href="mailto:webmaster@christoph-bachner.net" style="color:#D3DDEB">Christoph Bachner</a></h1></td>
 </tr>
</table>
</div>
</body>
</html>