<?php

/*
 **************************************
 * lang/lang_en.inc.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|27|2004
 * (c) by Christoph Bachner, 2003, 2004
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/


$chC_lang['lang'] = "en_EN";

$chC_lang['allgemein']['onlineusers'] = "Who's online?";
$chC_lang['allgemein']['statistics'] = "statistics";
$chC_lang['allgemein']['keine_besucher_online'] = "None visitors are online.";
$chC_lang['allgemein']['keine_seiten_in_db'] = "None page exist in the databse yet.";
$chC_lang['allgemein']['keine_referer_in_db'] = "None referer in the database yet.";
$chC_lang['allgemein']['kein_eintrag_in_db'] = "None entry available.";
$chC_lang['allgemein']['kein_browser_in_db'] = "There is no browser in the statistic yet.";
$chC_lang['allgemein']['kein_os_in_db'] = "There is no OS in the statistic yet.";
$chC_lang['allgemein']['kein_user_agent_in_db'] = "No user agent in the database.";
$chC_lang['allgemein']['kein_land_in_db'] = "There is no data in the database.";
$chC_lang['allgemein']['kategorie_auswaehlen'] = "Please select a category...";
$chC_lang['allgemein']['besucher'] = "visitors";
$chC_lang['allgemein']['besucher_durchschnittlich'] = "visitors on average";
$chC_lang['allgemein']['seitenaufrufe'] = "page impressions";
$chC_lang['allgemein']['letzten_4_wochen'] = "last 4 weeks";
$chC_lang['allgemein']['letzten_12_monate'] = "last 12 months";
$chC_lang['allgemein']['letzten_jahre'] = "last years";
$chC_lang['allgemein']['nach_besuchern'] = "ordered by visitors";
$chC_lang['allgemein']['nach_seitenaufrufen'] = "ordered by page impressions";
$chC_lang['allgemein']['gesamt'] = "total";
$chC_lang['allgemein']['unbekannt'] = "unknown";
$chC_lang['allgemein']['Suchmaschinen'] = "search engines / robots";
$chC_lang['allgemein']['kein_datum'] = 'no date available';
$chC_lang['allgemein']['Stunde'] = 'hour';
$chC_lang['allgemein']['Stunden'] = 'hours';
$chC_lang['allgemein']['Tageszeit'] = 'time of day';
$chC_lang['allgemein']['Uhr'] = "o'clock";
$chC_lang['allgemein']['Wochentage'] = 'days of the week';
$chC_lang['allgemein']['nl'] = "Netherlands";
$chC_lang['allgemein']['gb'] = "Great Britain";
$chC_lang['allgemein']['uk'] = "United Kingdom";
$chC_lang['allgemein']['en'] = "England";
$chC_lang['allgemein']['us'] = "USA";
$chC_lang['allgemein']['et'] = "Estland";
$chC_lang['allgemein']['sv'] = "Sweden";
$chC_lang['allgemein']['ru'] = "Russia";
$chC_lang['allgemein']['de'] = "Germany";
$chC_lang['allgemein']['ar'] = "Argentina";
$chC_lang['allgemein']['ca'] = "Canada";
$chC_lang['allgemein']['fr'] = "France";
$chC_lang['allgemein']['be'] = "Belgium";
$chC_lang['allgemein']['mx'] = "Mexico";
$chC_lang['allgemein']['es'] = "Spain";
$chC_lang['allgemein']['no'] = "Norway";
$chC_lang['allgemein']['it'] = "Italy";
$chC_lang['allgemein']['fi'] = "Finland";
$chC_lang['allgemein']['au'] = "Australia";
$chC_lang['allgemein']['at'] = "Austria";
$chC_lang['allgemein']['pr'] = "Puerto Rico";
$chC_lang['allgemein']['ch'] = "Switzerland";
$chC_lang['allgemein']['ve'] = "Venezuela";
$chC_lang['allgemein']['da'] = "Denmark";
$chC_lang['allgemein']['nz'] = "New Zealand";
$chC_lang['allgemein']['br'] = "Brazil";
$chC_lang['allgemein']['hk'] = "Hongkong";
$chC_lang['allgemein']['th'] = "Thailand";
$chC_lang['allgemein']['cl'] = "Chile";
$chC_lang['allgemein']['za'] = "South Africa";
$chC_lang['allgemein']['tw'] = "Taiwan";
$chC_lang['allgemein']['tr'] = "Turkey";
$chC_lang['allgemein']['cn'] = "China";
$chC_lang['allgemein']['bg'] = "Bulgaria";
$chC_lang['allgemein']['ro'] = "Rom&auml;nien";
$chC_lang['allgemein']['hu'] = "Hungary";
$chC_lang['allgemein']['cs'] = "Czechia";
$chC_lang['allgemein']['eg'] = "Egypt";
$chC_lang['allgemein']['sa'] = "Saudi Arabia";
$chC_lang['allgemein']['id'] = "Indonesia";
$chC_lang['allgemein']['lv'] = "Latvia";
$chC_lang['allgemein']['is'] = "Iceland";
$chC_lang['allgemein']['hr'] = "Croatia";
$chC_lang['allgemein']['sl'] = "Slovenia";
$chC_lang['allgemein']['bo'] = "Bolivia";
$chC_lang['allgemein']['li'] = "Liechtenstein";
$chC_lang['allgemein']['el'] = "Greece";
$chC_lang['allgemein']['he'] = "Israel";
$chC_lang['allgemein']['referer'] = 'Referers';
$chC_lang['allgemein']['refdomains'] = 'Referers domains';
$chC_lang['allgemein']['useragents'] = 'User-Agents';
$chC_lang['allgemein']['pages'] = "Pages";
$chC_lang['allgemein']['searchwords'] = "search words";
$chC_lang['allgemein']['ordnen'] = 'order';
$chC_lang['allgemein']['anzahl'] = 'by quantity';
$chC_lang['allgemein']['nach_datum'] = ' by last appearance';
$chC_lang['allgemein']['alphabetisch'] = 'alphabetically';
$chC_lang['allgemein']['aufsteigend'] = 'ascending';
$chC_lang['allgemein']['absteigend'] = 'descending';

?>